<?php 
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      		  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchat Design Studio           |
\*****************************************************************************/
include("common.php");
include("checker.php");
$members_info_table = $setting->get("members_info_table");
$members_table = $setting->get("members_table");
$id_field = $setting->get("id_field");
$username_field = $setting->get("username_field");
$email_field = $setting->get("email_field");
$password_field = $setting->get("password_field");
$pass_encrypt = $setting->get("pass_encrypt");
$integrate = $setting->get("integrate");

$result = "";
if($_GET["ac"] == "a"){
	if($_SESSION["visichat_access"]=="1"){
		$valid = true;
		if($_POST["username"]==""){
			$valid = false;
			$result = "<li>username is required</li>";
		}else{
			if($_POST["password"]==""){
				$valid = false;
				$result = "<li>password is required</li>";
			}else{
				if($_POST["password"]!= $_POST["confirm"]){
					$valid = false;
					$result = "<li>password and confirm does not match</li>";
				}
			}
		}
		$email = $_POST["email"];
		if($valid){
			
			if($email == ""){
				$valid = false;
				$result = "<li>Email address is required.</li>";
			}else{
				if (!eregi("^[A-Z0-9._%-]+@[A-Z0-9._%-]+\.[A-Z]{2,6}$", $email)) {
					$valid = false;
					$result = "<li>Email address is not valid.</li>";
				}
			}
		}
		if($valid){
			if($_POST["utype"] =="1" || $_POST["utype"] =="2" || $_POST["utype"] =="3" ){
				$mod = $_POST["utype"];
			}else{
				$mod = 0;
			}
			$res = $db->run_query("select * from ".$members_table." where ".$username_field."='".$db->escape_string($_POST["username"])."'");
			if($db->get_num_rows($res)>0){
				$valid = false;
				$result = "<li>This username is already taken.</li>";
			}else{
				$password = $_POST["password"];
				if($pass_encrypt == "md5"){
					$password = md5($password);
				}
				$db->run_query("insert into ".$members_table. "(".$username_field.",".$email_field.",".$password_field.") values('".$db->escape_string($_POST["username"])."','".$db->escape_string($email)."','".$db->escape_string($password)."')");
				$res = $db->run_query("select * from ".$members_table." where ".$username_field."='".$db->escape_string($_POST["username"])."'");
				if($db->get_num_rows($res)>0){
					$row = $db->fetch_assoc($res);
				}
				$db->free_result($res);				
				$db->run_query("insert into ".$members_info_table." (visi_chat_user_id,visi_chat_user_ip,visi_chat_gender,visi_chat_signup_time,visi_chat_login_time,visi_chat_user_banned,visi_chat_is_online,visi_chat_timely_ban,visi_chat_is_mod,visi_chat_allow_private) values(".$db->escape_string($row[$id_field]).",'".$db->escape_string($_SERVER['REMOTE_ADDR'])."','n',".time().",0,0,0,0,$mod,1)");
				$result = "<li>User added successfully.</li>";
				
			}
			$db->free_result($res);
			
		}
	}else{
		$result = "You don't have access to this function";
	}
}
$db->close();

?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Gchats Visichat Admin Menu: Add User</title>
<link href="../images/style.css" rel="stylesheet" type="text/css" />
<style type="text/css">
<!--
#Layer2 {
	position:absolute;
	left:10%;
	top:50px;
	width:90%;
	height:10px;
	z-index:2;
}
-->
</style>
</head>

<body>  
<div id="Layer1" align="center" style="position:absolute;left:5;top:5;width:90;height:90;z-index:1;"><a href="menu.php"><img src="../images/return.jpg" width="54" height="54" border="0"><br>
</a><a href="menu.php" class="YellowText">Return...</a></div>
<div id="Layer2" align="center" class="whileText"><?php echo $result;?></div>
<br />
<br />
<br>
<br>
<br>
<table width="800" border="0" align="center" cellpadding="0" cellspacing="0" class="TMain">
  <tr>
    <td width="2" height="18"><img src="../images/r1.gif" width="2" height="18" /></td>
    <td width="300" align="left" background="../images/r2.gif"><strong>&nbsp;&nbsp; Add new user </strong></td>
    <td width="7"><img src="../images/r3.gif" /></td>
    <td background="../images/r4.gif">&nbsp;</td>
    <td width="2"><img src="../images/r5.gif" /></td>
  </tr>
</table>
<table width="800" border="0" align="center" cellpadding="5" cellspacing="0">
  <tr>
    <td width="2" background="../images/r6.gif"></td>
    <td  align="left" valign="top" background="../images/bgdot.gif" class="TextBlack12">
	<form name="form1" method="post" action="adduser.php?ac=a">
   <?php if($integrate != ""){ ?>
   <div align="center"><br>
     <b>Add User is disabled when visichat is integrated in your database for security reasons.</b><br><br>
Please try to add users from your <?php echo $integrate;?> registration page.   </div>
   <?php }else{?>
    <table width="400" border="0" align="center" class="TextBlack12">
      <tr>
        <td colspan="2" align="center" bgcolor="#284172" class="whileText"><strong>Add User: </strong></td>
        </tr>
      <tr>
        <td align="right" bgcolor="#FFFFFF">Username: </td>
        <td align="left" bgcolor="#FFFFFF"><input name="username" type="text" id="username" value="<?php echo htmlspecialchars($_POST["username"]);?>"></td>
      </tr>
      <tr>
        <td align="right" bgcolor="#FFFFFF">Email: </td>
        <td align="left" bgcolor="#FFFFFF"><input name="email" type="text" id="email" value="<?php echo htmlspecialchars($_POST["email"]);?>"></td>
      </tr>	  
      <tr>
        <td align="right" bgcolor="#FFFFFF">Password: </td>
        <td align="left" bgcolor="#FFFFFF"><input name="password" type="password" id="password"></td>
      </tr>
      <tr>
        <td align="right" bgcolor="#FFFFFF">Confirm Password: </td>
        <td align="left" bgcolor="#FFFFFF"><input name="confirm" type="password" id="confirm"></td>
      </tr>
      <tr>
        <td align="right" bgcolor="#FFFFFF">User type: </td>
        <td align="left" bgcolor="#FFFFFF"><select name="utype" id="utype">
          <option value="0">User</option>
          <option value="1">Moderator</option>
		  <option value="2">Premium</option>
		  <option value="3">Administrator</option>
        </select>        </td>
      </tr>
      <tr>
        <td colspan="2" align="center" bgcolor="#FFFFFF"><input type="submit" name="Submit" value="Add User"></td>
        </tr>
    </table> 
	<?php }?>
	</form>
      <br>
    
    </td>
    <td width="2" background="../images/r7.gif"></td>
  </tr>
</table><table width="800"  height="2" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td width="2" height="2"><img src="../images/r8.gif" width="2" height="2" /></td>
    <td style="background-image:url(../images/r9.gif); font-size:1px;">&nbsp;</td>
    <td height="2" width="2"><img src="../images/r10.gif" /></td>
  </tr>
</table>
</body>
</html>