<?php 
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      		  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchat Design Studio           |
\*****************************************************************************/
include("common.php");
include("checker.php");

$badwords_table = $setting->get("badwords_table");
$badwords_field =  $setting->get("badwords_field");
$page = $_GET["page"];
if($page =="" || $page<0 || !is_numeric($page)){$page = 1;}
$pagesize = 10;


$result = "";
if($_GET["ac"] == "d" && $_GET["u"]!= ""){
	if($_SESSION["visichat_access"]=="1"){
		$res = $db->run_query("select * from ".$badwords_table." where id=".$db->escape_string($_GET["u"]));
		if($db->get_num_rows($res)==0){
			$result = "Bad word not found";
		}else{
			$row = $db->fetch_assoc($res);
			$res = $db->run_query("delete from ".$badwords_table." where id=".$db->escape_string($_GET["u"]));
			$result = $row["ip"]." removed successfully";		
		}		
	}else{
		$result = "You don't have access to this function";
	}
}

if($_GET["ac"]=="a"){
	if($_SESSION["visichat_access"]=="1"){
		$valid = true;
		if($_POST["word"] == ""){
			$result = "Bad Word is required";
		}else{
			$res = $db->run_query("select * from ".$badwords_table." where $badwords_field='".$db->escape_string($_POST["word"])."'");
			if($db->get_num_rows($res)>0){
				$result = "This Bad Word already exists";
			}else{
				$db->run_query("insert into ".$badwords_table."($badwords_field) values('".$db->escape_string($_POST["word"])."')");		
				$result = "Bad Word added successfully";
			}
			$db->free_result($res);
		}		
	}else{
		$result = "You don't have access to this function";
	}
}

$res = $db->run_query("select * from ".$badwords_table,$page,$pagesize);
$res2 = $db->run_query("select count($badwords_field) as cid from ".$badwords_table);
$row = $db->fetch_assoc($res2);
$db->free_result($res2);

$total_users = $row["cid"];
$total_pages = ceil($total_users/$pagesize);
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Gchats Visichat Admin Menu: Bad Words filtering</title>
<link href="../images/style.css" rel="stylesheet" type="text/css" />
<script language="javascript">
function check_confirm(){
	var res = confirm("Are you sure?");
	return res;
}
</script>
<style type="text/css">
<!--
#Layer2 {
	position:absolute;
	left:10%;
	top:50px;
	width:90%;
	height:10px;
	z-index:2;
}
-->
</style>
</head>

<body>  
<div id="Layer1" align="center" style="position:absolute;left:5;top:5;width:90;height:90;z-index:1;"><a href="menu.php"><img src="../images/return.jpg" width="54" height="54" border="0"><br>
</a><a href="menu.php" class="YellowText">Return...</a></div>
<div id="Layer2" align="center" class="whileText"><?php echo $result;?></div>
<br />
<br />
<br>
<br>
<br>
<table width="800" border="0" align="center" cellpadding="0" cellspacing="0" class="TMain">
  <tr>
    <td width="2" height="18"><img src="../images/r1.gif" width="2" height="18" /></td>
    <td width="300" align="left" background="../images/r2.gif"><strong>&nbsp;&nbsp; Bad Words Filtering </strong></td>
    <td width="7"><img src="../images/r3.gif" /></td>
    <td background="../images/r4.gif">&nbsp;</td>
    <td width="2"><img src="../images/r5.gif" /></td>
  </tr>
</table>
<table width="800" border="0" align="center" cellpadding="5" cellspacing="0">
  <tr>
    <td width="2" background="../images/r6.gif"></td>
    <td  align="left" valign="top" background="../images/bgdot.gif" class="TextBlack12"><form name="form1" method="post" action="badwords.php?ac=a">
  
    <table width="300" border="0" align="center" class="TextBlack12">
      <tr>
        <td colspan="2" align="center" bgcolor="#284172" class="whileText">Bad Words   </td>
        </tr>
      <tr>
        <td align="right" bgcolor="#FFFFFF" width="40%">Bad Word  : </td>
        <td bgcolor="#FFFFFF"><input name="word" type="text" id="word"></td>
      </tr>
      <tr>
        <td colspan="2" align="center" bgcolor="#FFFFFF"><input type="submit" name="Submit" value="Filter Word"></td>
        </tr>
    </table>  
    </form>
      <br>
      <table width="300" border="0" align="center" cellpadding="2" class="TextBlack12">
      <tr class="whileText">
        <td align="center" bgcolor="#284172" width="40">#</td>
        <td bgcolor="#284172">Bad Word </td>
        <td width="80" align="center" bgcolor="#284172">Delete</td>
      </tr>
	  <?php
	  for($i=0;$i<$db->get_num_rows($res);$i++){
	  $row = $db->fetch_assoc($res,$i);
	  ?>
      <tr>
        <td align="center" bgcolor="#FFFFFF"><?php echo ((($page-1)*$pagesize)+($i+1));?></td>
        <td bgcolor="#FFFFFF"><?php echo $row["badword"];?></td>
        <td align="center" bgcolor="#FFFFFF"><a href="badwords.php?ac=d&u=<?php echo $row["id"];?>&page=<?php echo $page;?>" class="Links4" onClick="return check_confirm()">Delete</a></td>
      </tr>
	  <?php }?>
    </table>
    
	<?php if($total_pages>1){?>
    <table width="500" border="0" align="center" class="whileText">
      <tr>
        <td bgcolor="#284172">
		<a href="badwords.php" class='Links1'>First Page</a>
		&nbsp;&nbsp;
		 <?php for($i=1;$i<=$total_pages;$i++){
		if($i==$page){
			echo "&nbsp;".$i."&nbsp;";
		}else{
			echo "&nbsp;<a href='badwords.php?page=".$i."' class='Links1'>".$i."</a>&nbsp;";
		}
		
		 }?>
		&nbsp;&nbsp;
		 <a href="badwords.php?page=<?php echo $total_pages;?>" class='Links1'>Last Page</a> 
		</td>
      </tr>
    </table>
	<?php }?>
	<br></td>
    <td width="2" background="../images/r7.gif"></td>
  </tr>
</table><table width="800"  height="2" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td width="2" height="2"><img src="../images/r8.gif" width="2" height="2" /></td>
    <td style="background-image:url(../images/r9.gif); font-size:1px;">&nbsp;</td>
    <td height="2" width="2"><img src="../images/r10.gif" /></td>
  </tr>
</table>
</body>
</html>