<?php 
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      		  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchat Design Studio           |
\*****************************************************************************/
include("common.php");
include("checker.php");

$config 	= $factory->getInstance("config");
$widgets_table = $config->prefix."widgets";
$room_table = $setting->get("room_table");

$uploadpath = "..".DS."widgets";
$location["tr"] = "Above userlist";
$location["br"] = "Below userlist";
$location["bl"] = "Below roomlist";

$valid_files = array("jpg","gif","png","swf");

$result = "";

if($_GET["r"]=="a"){
	$result ="widget added successfully";
}
if($_GET["r"]=="s"){
	$result ="widget saved successfully";
}


if($_GET["ac"] == "d" && is_numeric($_GET["i"])){
	if($_SESSION["visichat_access"]=="1"){
		$res = $db->run_query("select * from ".$widgets_table." where id=".$db->escape_string($_GET["i"]));
		if($db->get_num_rows($res)==0){
			$result = "Widget not found.";
		}else{
			$row = $db->fetch_assoc($res);
			if(is_file($uploadpath.DS.$row["w_filename"])){
				unlink($uploadpath.DS.$row["w_filename"]);
			}
			$db->run_query("delete from ".$widgets_table." where id=".$db->escape_string($_GET["i"]));
			$result = "Widget deleted successfully.";
		}
		$db->free_result($res);
	}else{
		$result = "You don't have access to this function";
	}
}


if($_GET["ac"]=="a"){
	if($_SESSION["visichat_access"]=="1"){
		$result = verify();
		if($result == ""){
			addWidget();
			$db->close();?>
			<meta http-equiv="refresh" content="0;URL=widgets.php?r=a">
			<?php exit();
		}
	}else{
		$result = "You don't have access to this function";
	}
}
function addWidget(){
	global $db,$factory,$widgets_table,$uploadpath;
	$error = "";
	$path_info 	= pathinfo($_FILES["wfile"]["name"]);
	
	$random = rand(1000,1000000);
	$filename = get_next_id()."-".$random.".".strtolower($path_info["extension"]);
	$uploadfile = $uploadpath.DS.$filename;
	if(move_uploaded_file($_FILES["wfile"]['tmp_name'],$uploadfile)){				
		if(post("active")=="yes"){$active="1";}else{$active="0";}
		$db->run_query("insert into ".$widgets_table." (w_title,w_filename,w_location,w_height,w_room,w_active,w_parameter,w_link)values('".$db->escape_string(post("wtitle"))."','".$db->escape_string($filename)."','".$db->escape_string(post("location"))."','".$db->escape_string(post("wheight"))."',".$db->escape_string(post("room")).",".$active.",'".$db->escape_string(post("wparameter"))."','".$db->escape_string(post("wlink"))."')");
	}else{
		$error = "<li>Error in uploading widget</lib>";
	}
	return $error;
}

function verify(){
	global $valid_files;
	$error = "";
	if(post("wtitle")==""){
		$error = "<li>Widget title is required.</li>";	
	}
	$req_file=true;
	if($_GET["ac"]=="se"){
		if($_FILES["wfile"]["name"]==""){
			$req_file=false;
		}
	}
	if($req_file){
		if(!isset($_FILES["wfile"])){
			$error .= "<li>Widget file is required.</li>";	
		}else{
			if($_FILES["wfile"]["name"]==""){
				$error .= "<li>Widget file is required.</li>";	
			}else{
				$path_info 	= pathinfo($_FILES["wfile"]["name"]);
				if(!in_array(strtolower($path_info["extension"]),$valid_files)){
					$error .= "<li>Widget file is not a valid format.</li>";	
				}
			}
		}
	}
	if(!is_numeric(post("room")) || post("room")=="" ){
		$error .= "<li>Room is not valid</li>";
	}
	if(post("wheight")==""){
		$error .= "<li>Widget height is required.</li>";	
	}else{
		if(!is_numeric(post("wheight"))){
			$error .= "<li>Widget height should be a number.</li>";	
		}else{
			if(post("wheight")<0){
				$error .= "<li>Widget height should greater than zero.</li>";	
			}
		}
	}
	return $error;
}
function get_next_id(){
	global $db,$widgets_table;
	$res = $db->run_query("select * from ".$widgets_table." order by id");
	if($db->get_num_rows($res)==0){
		$id=1;
	}else{
		$row = $db->fetch_assoc($res);
		$id = $row["id"]+1;
	}
	$db->free_result($res);
	return $id;
}

$query = "select * from ".$widgets_table." order by id";
$res = $db->run_query($query);

$editmode=false;
if($_GET["ac"] == "e" && is_numeric($_GET["i"])){
	$res = $db->run_query("select * from ".$widgets_table." where id=".$db->escape_string($_GET["i"]));
	if($db->get_num_rows($res)==0){
		$result = "Widget not found.";
	}else{
		$row = $db->fetch_assoc($res);
		$editmode = true;
		$_POST["w_filename"] = $row["w_filename"];
		$_POST["wtitle"] = $row["w_title"];
		$_POST["wlink"] = $row["w_link"];
		$_POST["wheight"] = $row["w_height"];
		$_POST["location"] = $row["w_location"];
		$_POST["room"] = $row["w_room"];
		$_POST["wparameter"] = $row["w_parameter"];
		if($row["w_active"]==1){$_POST["active"]="yes";}
		$_POST["Submit"]="Edit";
		
	}
	$db->free_result($res);
}


if($_GET["ac"] == "se" && is_numeric($_GET["i"])){
	if($_SESSION["visichat_access"]=="1"){
		$res = $db->run_query("select * from ".$widgets_table." where id=".$db->escape_string($_GET["i"]));
		if($db->get_num_rows($res)==0){
			$result = "Widget not found.";
		}else{
			$row = $db->fetch_assoc($res);
			$_POST["w_filename"] = $row["w_filename"];
			$editmode=true;
			$result = verify();
			if($result == ""){
			saveWidget($db->fetch_assoc($res));
					$db->close();?>
				<meta http-equiv="refresh" content="0;URL=widgets.php?r=s">
				<?php exit();
			}
		}
		$db->free_result($res);
	}else{
		$result = "You don't have access to this function";
	}
}

function saveWidget($row){
	global $db,$factory,$widgets_table,$uploadpath;
	$error = "";
	if($_FILES["wfile"]["name"]==""){
		$filename = $row["w_filename"];
	}else{
		
		$path_info 	= pathinfo($_FILES["wfile"]["name"]);
		$random = rand(1000,1000000);
		$filename = $row["id"]."-".$random.".".strtolower($path_info["extension"]);
		$uploadfile = $uploadpath.DS.$filename;
		
		if(move_uploaded_file($_FILES["wfile"]['tmp_name'],$uploadfile."_tmp")){
			copy($uploadfile."_tmp",$uploadfile);
			if(is_file($uploadpath.DS.$row["w_filename"])){
				unlink($uploadpath.DS.$row["w_filename"]);
			}
		}else{
			$error = "<li>Error in uploading widget</lib>";		
		}
		unlink($uploadfile."_tmp");
	}
	if($error ==""){
		if(post("active")=="yes"){$active="1";}else{$active="0";}
		$db->run_query("update ".$widgets_table." set w_title='".$db->escape_string(post("wtitle"))."',w_link='".$db->escape_string(post("wlink"))."',w_filename='".$db->escape_string($filename)."',w_location='".$db->escape_string(post("location"))."',w_height=".$db->escape_string(post("wheight")).",w_room=".$db->escape_string(post("room")).",w_active=".$active.",w_parameter='".$db->escape_string(post("wparameter"))."' where id=".$db->escape_string($_GET["i"]));
	}
	return $error;
}
function resize($filein, $fileout, $newwidth,$ext){
	list($width, $height) = getimagesize($filein);
	if($width>$height){
	   $newwidth = $newwidth;
	   $newheight=$height*$newwidth/$width; 
	}else{
	$newheight = $newwidth;
	 $newwidth=$width*$newheight/$height;    
	}
	if($ext=="jpg"){
		$thumb = @imagecreatetruecolor($newwidth,$newheight);
	   $source = @imagecreatefromjpeg("$filein");
	}	   
	if($ext=="gif"){
		$thumb = @imagecreate($newwidth,$newheight);		
	   $source = @imagecreatefromgif("$filein");
	}
	if($ext=="png"){
		$thumb = @imagecreatetruecolor($newwidth,$newheight);		
	   $source = @imagecreatefrompng("$filein");
	}
	if($source ){		
		$background_cl = imagecolorallocate($thumb,255,255,255);		
		imagecopyresized($thumb, $source, 0, 0, 0, 0, $newwidth, $newheight, $width, $height);
		imagejpeg($thumb, $fileout,90);
		return true;
	}
	return false;
}
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Gchats Visichat Admin Menu: Widgets</title>
<link href="../images/style.css" rel="stylesheet" type="text/css" />
<script language="javascript">
function check_confirm(){
	var res = confirm("Are you sure?");
	return res;
}
</script>

</head>

<body>  
<div id="Layer1" align="center" style="position:absolute;left:5;top:5;width:90;height:90;z-index:1;"><a href="menu.php"><img src="../images/return.jpg" width="54" height="54" border="0"><br>
</a><a href="menu.php" class="YellowText">Return...</a></div>

<br />
<br />
<br>
<br>
<br>
<table width="800" border="0" align="center" cellpadding="0" cellspacing="0" class="TMain">
  <tr>
    <td width="2" height="18"><img src="../images/r1.gif" width="2" height="18" /></td>
    <td width="300" align="left" background="../images/r2.gif"><strong>&nbsp;&nbsp; Widgets Administration </strong></td>
    <td width="7"><img src="../images/r3.gif" /></td>
    <td background="../images/r4.gif">&nbsp;</td>
    <td width="2"><img src="../images/r5.gif" /></td>
  </tr>
</table>
<table width="800" border="0" align="center" cellpadding="5" cellspacing="0">
  <tr>
    <td width="2" background="../images/r6.gif"></td>
    <td  align="left" valign="top" background="../images/bgdot.gif" class="TextBlack12">
	<form action="widgets.php?ac=<?php if($editmode){?>se&i=<?php echo $_GET["i"];?><?php }else{?>a<?php }?>" method="post" enctype="multipart/form-data" name="form1">
  <div  align="left" class="YellowText"><br><b><?php echo $result;?></b></div><br>
  <?php if($editmode){
  $path = pathinfo(post("w_filename"));?>
  <div align="center">
    <?php if($path["extension"]=="swf"){?>
    <embed src="../widgets/<?php echo post("w_filename");?>" quality="high"  pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" width="460" height="100"></embed>
<br>
  <?php }else{ ?>
  <img src="../widgets/<?php echo post("w_filename");?>" width="400" title="<?php echo post("wtitle");?>">
  <br><?php }?>
  </div>
  
  <?php }?>
    <table width="550" border="0" align="center" class="TextBlack12">
      <tr>
        <td colspan="2" align="center" bgcolor="#284172" class="whileText"><?php if($editmode){?>Edit<?php }else{?>Add<?php }?> Widget </td>
        </tr>
      <tr>
        <td align="right" bgcolor="#FFFFFF">Widget Title :</td>
        <td bgcolor="#FFFFFF"><input name="wtitle" type="text" id="wtitle" value="<?php echo post("wtitle");?>"></td>
      </tr>
      <tr>
        <td align="right" bgcolor="#FFFFFF">Parameters :</td>
        <td bgcolor="#FFFFFF"><input name="wparameter" type="text" id="wtitle" value="<?php echo post("wparameter");?>"><br>
example: playlist=playlisturl.xml&amp;confiurl=config.xml<br>
Leave blank if you do not need to pass any parameter.</td>
      </tr>      
      <tr>
        <td align="right" bgcolor="#FFFFFF">Widget file :<br>
          <font class="Comments"><font color="#666666"> (jpg, gif, png or swf files)</font></font> </td>
        <td bgcolor="#FFFFFF"><input type="file" id="wfile" name="wfile"></td>
      </tr>
      <tr>
        <td align="right" bgcolor="#FFFFFF">Widget link :<br>
          <font class="Comments"><font color="#666666">Leave blank if you don't need a link</font></font> </td>
        <td bgcolor="#FFFFFF"><input type="text" id="wlink" name="wlink" value="<?php echo post("wlink");?>"></td>
      </tr>
      <tr>
        <td align="right" bgcolor="#FFFFFF">Widget Height:  </td>
        <td bgcolor="#FFFFFF">
          <input name="wheight" type="text" id="wheight" value="<?php echo post("wheight");?>"></td>
      </tr>
      <tr>
        <td align="right" bgcolor="#FFFFFF">Room  :<br></td>
        <td bgcolor="#FFFFFF">
          <select name="room">
          <option value="0">All Rooms</option>
		  <?php 
		  $rs_room = $db->run_query("select * from ".$room_table." where room_type='p'");
		  for($i=0;$i<$db->get_num_rows($rs_room);$i++){
			  $row = $db->fetch_assoc($rs_room,$i);
		  ?>
            <option value="<?php echo $row["room_id"];?>" <?php if(post("room")==$row["room_id"]){?> selected="selected"<?php }?>><?php echo $row["room_name"];?></option>
			<?php }?>
          </select>
        </td>
      </tr>	
      <tr>
        <td align="right" bgcolor="#FFFFFF">Location  :<br></td>
        <td bgcolor="#FFFFFF">
          <select name="location">
			<option value="tr"  <?php if(post("location")=="tr"){?> selected="selected"<?php }?>>Above user list</option>
            <option value="br"  <?php if(post("location")=="br"){?> selected="selected"<?php }?>>Below user list</option>
			<option value="bl"  <?php if(post("location")=="bl"){?> selected="selected"<?php }?>>Below room list</option>
        </select></td>
      </tr>	       
       <tr>
        <td align="right" bgcolor="#FFFFFF">Active :  </td>
        <td bgcolor="#FFFFFF"><label>
          <input name="active" type="checkbox" id="active" value="yes" <?php if(!isset($_POST["Submit"]) || post("active")=="yes"){?>checked<?php }?>>
        </label></td>
      </tr>	 	   	  	  
      <tr>
        <td colspan="2" align="center" bgcolor="#FFFFFF"><input type="submit" name="Submit" value="<?php if($editmode){?>Save<?php }else{?>Add<?php }?> Widget"> <?php if($editmode){?> <input type="button" name="Button" value="Cancel" onClick="window.location='widgets.php'">
        <?php }?></td>
        </tr>
    </table>  
    </form>
      <br>
      <br>
	  <?php if(!$editmode){?>
      <table width="700" border="0" align="center" cellpadding="2" class="TextBlack12">
      <tr class="whileText">
        <td align="center" bgcolor="#284172">#</td>
        <td bgcolor="#284172">Title </td>
        <td align="center" bgcolor="#284172">Location</td>
        <td align="center" bgcolor="#284172">Active</td>		
        <td align="center" width="80px" bgcolor="#284172">Edit</td>
        <td align="center" width="80px" bgcolor="#284172">Delete</td>
      </tr>
	  <?php
	  for($i=0;$i<$db->get_num_rows($res);$i++){
	  $row = $db->fetch_assoc($res,$i);

		if($row["w_active"]==1){
			$def_color="#FFFFFF";
		}else{
			$def_color = "#999999";
		}
	  ?>
      <tr>
        <td align="center" bgcolor="<?php echo $def_color;?>"><?php echo $i+1;?></td>
        <td bgcolor="<?php echo $def_color;?>"><?php echo $row["w_title"];?></td>
        <td align="center" bgcolor="<?php echo $def_color;?>"><?php echo $location[$row["w_location"]];?></td>
        <td align="center" bgcolor="<?php echo $def_color;?>"><?php if($row["w_active"]==1){showpic("yes.jpg");}else{showpic("no.jpg");}?></td>		
        <td align="center" bgcolor="<?php echo $def_color;?>"><a href="widgets.php?ac=e&i=<?php echo $row["id"];?>" class="Links4">Edit</a></td>
        <td align="center" bgcolor="<?php echo $def_color;?>"><a href="widgets.php?ac=d&i=<?php echo $row["id"];?>" onClick="return check_confirm();" class="Links4">Delete</a></td>
      </tr>
	  <?php }?> 
	 
    </table>
    
	  <table width="100" border="0" class="Comments">
        <tr>
          <td align="center" bgcolor="#FFFFFF">Active</td>
        </tr>
        <tr>
          <td align="center" bgcolor="#999999">Inactive</td>
        </tr>
      </table>
	  <?php }?>
	<br>
    Using widgets you can add your own pictures (logos,etc...) or swf flash files (mp3 players, clocks, etc...) in the chat area.<br />
    Make sure width and height of the files you going to add matches the size of the location (roomlist and userlist).
    </td>
    <td width="2" background="../images/r7.gif"></td>
  </tr>
</table>
<table width="800"  height="2" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td width="2" height="2"><img src="../images/r8.gif" width="2" height="2" /></td>
    <td style="background-image:url(../images/r9.gif); font-size:1px;">&nbsp;</td>
    <td height="2" width="2"><img src="../images/r10.gif" /></td>
  </tr>
</table>
</body>
</html>