<?php
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      				  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchats.com			          |
\*****************************************************************************/

session_start();
include_once("scripts/library/nocache.php");
include_once("scripts/library/factory.php");

// check for installation
if(filesize("config.php")==0){
	include("install.php");
	exit(0);
}else{
	if((is_file("install.php") || is_dir("install")) && !DEV_MODE){
		die("please remove install.php file and install folder for security reasons and refresh this page.");
	}
}


include_once("scripts/autologin.php");
// Variables
$movie  = "visichat.swf";
// Auto login
$autologin = new visichat_autologin();
$username = $autologin->username;
$password = $autologin->password;

if($username == "" && $password == ""){
	if ( session("visichat_login_username") != "" && session("visichat_login_password") != "" ){
		$username = session("visichat_login_username");
		$password = session("visichat_login_password");		
	}
}

$room = $_GET["room"];
$host = $_GET["host"];
$language = $_GET["ln"];
$referral = $_GET["refid"];

$loader = "loader";
$width = "100%";
$height = "100%";
$bgcolor = "#000000";

$setting ="&set=yes&load=ok";

// Get gackground color
$factory = new factory();
$stObj = $factory->getInstance("GSetting");
if($stObj->get("styles_bg_color")!=""){
	$bgcolor =$stObj->get("styles_bg_color");
}
$title = $stObj->get("website_title");

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo $title;?></title>
<script src="scripts/AC_RunActiveContent.js" type="text/javascript"></script>
<script src="scripts/AC_OETags.js" language="javascript"></script>
<script src="scripts/visichat.js" language="javascript"></script>
<style type="text/css">
html {
  height: 100%;
  overflow: hidden;
}
#flashcontent {
  height: 100%;
}
/* end hide */
body {
  height: 100%;
  margin: 0;
  padding: 0;
  background-color: #eee;
}
</style>
</head>

<body style="background-color:<?php echo $bgcolor;?>">
<?php writechat($loader,$movie,$width,$height,$bgcolor,$username,$password,$setting,$language,$room,$host,$referral);?>
</body>
</html>
