<?php
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      				  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchats.com			          |
\*****************************************************************************/

include_once("library/factory.php");
class visichat_autologin{
	var $factory;
	var $db;
	var $setting;
	var $members_table;
	var $id_field;
	var $username_field;
	var $password_field;
	var $integrate;
	var $integrate_prefix;
	var $username	= "";
	var $password	= "";
	function visichat_autologin(){
		$this->factory	= new factory();
		$this->db 		= $this->factory->get_db();
		$this->setting	= $this->factory->getInstance("setting");
		$this->members_table = $this->setting->get("members_table");
		$this->id_field = $this->setting->get("id_field");
		$this->username_field = $this->setting->get("username_field");
		$this->password_field = $this->setting->get("password_field");
		$this->integrate = $this->setting->get("integrate");
		$this->integrate_prefix = $this->setting->get("integrate_prefix");
		if($this->integrate != ""){
			$this->getUser();
			$this->getPass();
		
		}
	}
	
	function getUser(){
		if($this->integrate == "custom"){
			// Edit This Place if you have your own script

		}
		
		if($this->integrate == "drupal"){
			// Edit This
			$sid = $_COOKIE["SESS31d650302093baa55086514449610f8b"];
			// End edit
			$uid = 0;
			$res = $this->db->run_query("select * from ".$this->integrate_prefix."sessions where sid='".$this->db->escape_string($sid)."'");
			
			if($this->db->get_num_rows($res)>0){
				$row = $this->db->fetch_assoc($res);
				$uid = $row["uid"];
			}
			$this->db->free_result($res);
			$res = $this->db->run_query("select * from ".$this->members_table." where ".$this->id_field."=".$uid);
			if($this->db->get_num_rows($res)>0){
				$row = $this->db->fetch_assoc($res);
				$this->username = $row[$this->username_field];
				$this->password = $row[$this->password_field];
			}
			$this->db->free_result($res);
		}
		
		if($this->integrate == "phpbb 2"){
			// Edit This
			$sid = $_COOKIE["phpbb2mysql_sid"];
			// End Edit
			$uid=0;
			$res = $this->db->run_query("select * from ".$this->integrate_prefix."sessions where session_id='".$this->db->escape_string($sid)."'");
			if($this->db->get_num_rows($res)>0){
				$row = $this->db->fetch_assoc($res);
				$uid = $row["session_user_id"];
			}
			$this->db->free_result($res);
			$res = $this->db->run_query("select * from ".$this->members_table." where ".$this->id_field."=".$uid);
			if($this->db->get_num_rows($res)>0){
				$row = $this->db->fetch_assoc($res);
				$this->username = $row[$this->username_field];
				$this->password = $row[$this->password_field];
			}
			$this->db->free_result($res);
		}
		if($this->integrate == "emeeting"){
			$this->username = $_SESSION["username"];
			$this->password = $this->getPassByUser($this->username);
		}
		if($this->integrate == "joovili"){
			
		}
		if($this->integrate == "osdate"){
			$this->username = $_SESSION["UserName"];
		}
		if($this->integrate == "PHP-Fusion"){
			if($_COOKIE["fusion_user"] != ""){
				$tmp = split("\.",$_COOKIE["fusion_user"]);
				if(count($tmp)==2){
					$this->username = $this->getUserById($tmp[0]);
					$this->password = md5($tmp[1]);
				}
			}
		}
		if($this->integrate == "PostNuke"){
			$sid = $_COOKIE["POSTNUKESID"];
			$uid=0;
			$res = $this->db->run_query("select * from ".$this->integrate_prefix."session_info where pn_sessid='".$this->db->escape_string($sid)."'");
			if($this->db->get_num_rows($res)>0){
				$row = $this->db->fetch_assoc($res);
				$uid = $row["pn_uid"];
			}
			$this->db->free_result($res);
			$res = $this->db->run_query("select * from ".$this->members_table." where ".$this->id_field."=".$uid);
			if($this->db->get_num_rows($res)>0){
				$row = $this->db->fetch_assoc($res);
				$this->username = $row[$this->username_field];
				$this->password = $row[$this->password_field];
			}
			$this->db->free_result($res);
		}
		if($this->integrate == "joomla 1"){
			// Edit This
			require($_SERVER['DOCUMENT_ROOT']."/configuration.php");
			// End Edit
			$sessionCookieName = md5( 'site'.$mosConfig_live_site);
			$session_id = md5($_COOKIE[$sessionCookieName].$_SERVER['REMOTE_ADDR']);
			$res = $this->db->run_query("select * from ".$this->integrate_prefix."session where session_id='".$this->db->escape_string($session_id)."'");
			if($this->db->get_num_rows($res)>0){
				$row = $this->db->fetch_assoc($res);
				$this->username = $row["username"];
				$this->password = $this->getPassByUser($this->username);
			}
			$this->db->free_result($res);
		}
		if($this->integrate == "joomla 1.5"){
			// Edit This
			require($_SERVER['DOCUMENT_ROOT']."/configuration.php");
			// End Edit
			$sessionCookieName = md5( 'site'.$mosConfig_live_site);
			$session_id = $_COOKIE[$sessionCookieName];
			$res = $this->db->run_query("select * from ".$this->integrate_prefix."session where session_id='".$this->db->escape_string($session_id)."'");
			if($this->db->get_num_rows($res)>0){
				$row = $this->db->fetch_assoc($res);
				$this->username = $row["username"];
				$this->password = $this->getPassByUser($this->username);
			}
			$this->db->free_result($res);
		}		
		if($this->integrate == "dolphin" || $this->integrate == "dolphin4"){
			$this->username = $this->getUserById($_COOKIE["memberID"]);
		}
		if($this->integrate == "vbulletin"){
			require($_SERVER['DOCUMENT_ROOT']."/includes/config.php");
			$sid = $_COOKIE[$config['Misc']['cookieprefix']."sessionhash"];
			$uid=0;
			$res = $this->db->run_query("select * from ".$this->integrate_prefix."session where sessionhash='".$this->db->escape_string($sid)."'");
			if($this->db->get_num_rows($res)>0){
				$row = $this->db->fetch_assoc($res);
				$this->username = $this->getUserById($row["userid"]);
				$this->password = $this->getPassByUser($this->username);
			}
			$this->db->free_result($res);
		}
		if($this->integrate =="Softbiz Dating"){
			$this->username = $_SESSION["sbdtng_username"];
			$this->password = $this->getPassByUser($this->username);
		}
		if($this->integrate =="PHPNuke"){
			$info = split(":",base64_decode($_COOKIE["user"]));
			$this->username = $info[1];
			$this->password = $info[2];
		}
		if($this->integrate =="MyBB"){
			$sid = $_COOKIE["sid"];
			$res = $this->db->run_query("select * from ".$this->integrate_prefix."sessions where sid='".$this->db->escape_string($sid)."'");
			$uid=0;
			if($this->db->get_num_rows($res)>0){
				$row = $this->db->fetch_assoc($res);
				$uid = $row["uid"];
			}
			$this->db->free_result($res);
			$this->username = $this->getUserById($uid);
			$this->password = $this->getPassByUser($this->username);		
		}
		if($this->integrate =="x-cart"){
			$res = $this->db->run_query("select * from ".$this->integrate_prefix."sessions_data where sessid='".$this->db->escape_string($_COOKIE["xid"])."'");
			$row = $this->db->fetch_assoc($res);
			$val = unserialize($row["data"]);
			$this->username = $val["username"];
			$this->password = $this->getPassByUser($this->username);
			$this->db->free_result($res);
		}
		if($this->integrate =="DZOIC Handshakes"){
			$this->username = $this->getUserById($_COOKIE["mem_id"]);
		}
		if($this->integrate =="SMF (Simple Machines Forum)"){
			// Edit here
			$data = unserialize(stripslashes($_COOKIE["SMFCookie428"]));
			$this->username = $this->getUserById($data[0]);
			if(sha1($this->getPassByUser($this->username).$this->getFieldById($data[0],"passwordSalt")) == $data[1]){
				$this->password = $this->getPassByUser($this->username);
			}
		}

		if($this->integrate =="SMF 2"){
			// Edit here
			include("../forum/Settings.php");
			$data = unserialize(stripslashes($_COOKIE[$cookiename]));
			$this->username = $this->getUserById($data[0]);
			if(sha1($this->getPassByUser($this->username).$this->getFieldById($data[0],"password_salt")) == $data[1]){
				$this->password = $this->getPassByUser($this->username);
			}
		}
		
		if($this->integrate =="phpbb 3"){
			// Edit This
			$sid = $_COOKIE["phpbb3_ip7hu_sid"];
			// End Edit
			$uid=0;
			$res = $this->db->run_query("select * from ".$this->integrate_prefix."sessions where session_id='".$this->db->escape_string($sid)."'");
			if($this->db->get_num_rows($res)>0){
				$row = $this->db->fetch_assoc($res);
				$uid = $row["session_user_id"];
			}
			$this->db->free_result($res);
			$res = $this->db->run_query("select * from ".$this->members_table." where ".$this->id_field."=".$uid);
			if($this->db->get_num_rows($res)>0){
				$row = $this->db->fetch_assoc($res);
				$this->username = $row[$this->username_field];
				$this->password = $row[$this->password_field];
			}
			$this->db->free_result($res);		
		}
		if($this->integrate =="phpfox"){
			$userid = $_SESSION["Mod_Account"]["phpfox_id"];
			if($userid != "" && is_numeric($userid)){
				$this->username = $this->getUserById($userid);
				$this->password = $this->getPassByUser($this->username);
			}
		}
		if($this->integrate =="phpfox2"){
			$session = $_SESSION["phpfox1"]["session"];
			if($session != ""){
				$res = $this->db->run_query("select * from ".$this->integrate_prefix."log_session where session_hash='".$this->db->escape_string($session)."'");
				if($this->db->get_num_rows($res) > 0){
					$row = $this->db->fetch_assoc($res);
					$userid = $row["user_id"];
					$this->username = $this->getUserById($userid);
					$this->password = $this->getPassByUser($this->username);
				}
				$this->db->free_result($res);
			}
		}
		if($this->integrate =="phpfox3"){
			$sid = $_SESSION["phpfox1"]["session"];
			$res = $this->db->run_query("select * from ".$this->integrate_prefix."log_session WHERE session_hash = '".$this->db->escape_string($sid)."'");
			if($this->db->get_num_rows($res)>0){
				$row = $this->db->fetch_assoc($res);
				$userid = $row["user_id"];
				$this->username = $this->getUserById($userid);
				$this->password = $this->getPassByUser($this->username);				
			}
			$this->db->free_result($res);			
		}		
		if($this->integrate == "e-marvel"){
			$this->username = $_SESSION["user"];
			$this->password = $this->getPassByUser($this->username);
		}
		if($this->integrate =="SocialEngine"){
			// You might need to add in index.php session_id("your SE Session ID");
			/*
				example code to add in index.php before session_start():
				session_id($_COOKIE["d21058bd083ea3deb73808280d60a23e"]);
			*/
			/*if(isset($_COOKIE["user_id"])){
				$userid = $_COOKIE["user_id"];
				if($userid != "" && is_numeric($userid)){
					$this->username = $this->getUserById($userid);
					$this->password = $_COOKIE["user_pass"];
					if($this->password == ""){
						$this->password = $_COOKIE["se_user_pass"];
					}
				}	
			}else{
				$userid = $_SESSION["__default"]["user_id"];
				if($userid != "" && is_numeric($userid)){
					$this->username = $this->getUserById($userid);
					$this->password = $this->getPassByUser($this->username);
				}
			}
			
			*/
			
			/*
			$seesion_id = $_COOKIE["se_auth_token"];
			$res = $this->db->run_query("select * from se_session_auth where session_auth_key='".$this->db->escape_string($seesion_id)."'");
			if($this->db->get_num_rows($res)>0){
				$row = $this->db->fetch_assoc($res);
				$this->username = $this->getUserById($row["session_auth_user_id"]);
				$this->password = $this->getPassByUser($this->username);
			}
			
			$this->db->free_result($res);	
			*/
			
			$res = $this->db->run_query("select * from ".$this->integrate_prefix."core_session where id='".$this->db->escape_string($_COOKIE["PHPSESSID"])."'");
			if($this->db->get_num_rows($res)>0){
				$row = $this->db->fetch_assoc($res);
				$this->username = $this->getUserById($row["user_id"]);
				$this->password = $this->getPassByUser($this->username);
			}
			
			
			
			$this->db->free_result($res);
		}
		if($this->integrate == "e107"){

			list($uid, $upw)=(isset($_COOKIE['e107cookie']) && $_COOKIE['e107cookie'] ? explode(".", $_COOKIE['e107cookie']) : explode(".", $_SESSION['e107cookie']));
			if (!empty($uid) && !empty($upw) && is_numeric($uid) && ($uid)>0 && $uid!="") {
				$this->username = $this->getUserById($uid);
				if(md5($this->getPassByUser($this->username)) == $upw){
					$this->password = $this->getPassByUser($this->username);
				}
			}
		}
		if($this->integrate =="moodle"){
			session_destroy();
			// Change this if auto login doesnt work
			session_save_path ("../sessions");
			// End change
			session_id($_COOKIE["MoodleSession"]);
			session_start();
			$this->username = $_SESSION["USER"]->username;
			$this->password = $_SESSION["USER"]->password;			
		}	
		if($this->integrate == "AbleDating"){
			// Change this if required
			$session_prefix = ".".$_SERVER["SERVER_NAME"];
			// End change
			$this->username = $this->getUserById($_SESSION[$session_prefix."_user_id"]);
			$this->password = $this->getPassByUser($this->username);		
		}
		if($this->integrate == "vldPersonals"){
			$this->username = $_SESSION["username"];
			$this->password = $this->getPassByUser($this->username);
		}		
		if($this->integrate == "SocialMedia"){
			$this->username = $_COOKIE["username"];
			$this->password = $_COOKIE["password"];
		}
		if($this->integrate == "SkaDate"){
			if(isset($_SESSION["profile_id"])){
				$this->username = $this->getUserById($_SESSION["profile_id"]);
			}else{
				$this->username = $this->getUserById($_SESSION["%http_user%"]["profile_id"]);
			}
			$this->password = $this->getPassByUser($this->username);
		}
		if($this->integrate == "clip-share"){
		    /*
			if you enable this option, you may need to add these lines in your index.php before session_start(); line.
			ini_set('session.name', 'Your Session Name');
			ini_set('session.save_path', dirname(dirname(__FILE__)). '/tmp/sessions');
			*/
			$this->username = $_SESSION["USERNAME"];
			$this->password = $this->getPassByUser($this->username);
		}
		if($this->integrate == "datingpro"){
			$this->username = $_COOKIE["dp_login"];
			$this->password = $_COOKIE["dp_pass"];
		}
		if($this->integrate == "woltlab"){
			$this->username = $this->getUserById($_COOKIE["wbb_userid"]);
			$this->password = $_COOKIE["wbb_userpassword"];
		}
		if($this->integrate == "rayzz"){
			$this->username = $_SESSION["user"]["user_name"];
			$this->password = $this->getPassByUser($this->username);
		}
		if($this->integrate =="wordpress"){
			$cookie_name = 'wordpress_logged_in_[YOUR COOKIE NAME]';
			if(!empty($_COOKIE[$cookie_name]))
			{
				$userArr=explode('|',$_COOKIE[$cookie_name]);
				$this->username=$userArr[0];
				$this->password = $this->getPassByUser($this->username);
			}
		}
		
		if($this->integrate == "pgdatingpro")
		{
			$this->username = $_COOKIE["dp_login"];
			$this->password = $_COOKIE["dp_pass"];
		}
	}
	function getPass(){
		if($this->integrate == "joovili"){
			//$this->password =  $this->getPassByUser($this->username);
		}
		if($this->integrate == "osdate"){
			$this->password = $this->getPassByUser($this->username);
		}
		if($this->integrate == "dolphin"){
			$this->password = $_COOKIE["memberPassword"];
		}
		if($this->integrate == "dolphin4"){
			if(crypt($this->getPassByUser($this->username),'secret_string')==$_COOKIE["memberPassword"]){
				$this->password = $this->getPassByUser($this->username);
			}
		}		
		if($this->integrate =="DZOIC Handshakes"){
			$this->password = $_COOKIE["password"];
		}

	}
	
	function getUserById($id){
		if($id == ""){
			return "";
		}
		$username = "";
		$res = $this->db->run_query("select * from ".$this->members_table." where ".$this->id_field."=".$this->db->escape_string($id));
		if($this->db->get_num_rows($res)>0){
			$row = $this->db->fetch_assoc($res);
			$username = $row[$this->username_field];
		}
		$this->db->free_result($res);
		return $username;
	}
	function getPassByUser($username){
		if($username == ""){
			return "";
		}
		$pass = "";
		$res = $this->db->run_query("select * from ".$this->members_table." where ".$this->username_field."='".$this->db->escape_string($username)."'");
		if($this->db->get_num_rows($res)>0){
			$row = $this->db->fetch_assoc($res);
			$pass = $row[$this->password_field];
		}
		$this->db->free_result($res);
		return $pass;
	}
	function getFieldById($id,$field){
		if($id == ""){
			return "";
		}
		$value = "";
		$res = $this->db->run_query("select * from ".$this->members_table." where ".$this->id_field."=".$this->db->escape_string($id));
		if($this->db->get_num_rows($res)>0){
			$row = $this->db->fetch_assoc($res);
			$value = $row[$field];
		}
		$this->db->free_result($res);
		return $value;	
	}
}



?>