<?php
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      				  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchats.com			          |
\*****************************************************************************/

/*
 * 
 *  Use <script language="javascript" src="VisichatPATH/scripts/latestusers.php"></script> in your page
 *
 */
 
 // Change this variable to true if you need only users with picture appear
$pictre_only = false; 

include_once("library/factory.php");

$factory 	= new factory();
$db 		= $factory->get_db();
$config 	= $factory->getInstance("config");
$setting 	= $factory->getInstance("GSetting");

$lng = get("ln");

if ( $lng == "" ) { $lng="en"; }
$language = $factory->getInstance("language");
$language->language = $setting->get("language");
$language->loadLanguage($lng);

$members_table = $setting->get("members_table");
$members_info_table = $setting->get("members_info_table");
$id_field = $setting->get("id_field");
$username_field = $setting->get("username_field");
$password_field = $setting->get("password_field");
$email_field = $setting->get("email_field");

$visichat_path = substr($_SERVER["PHP_SELF"],0,strlen($_SERVER["PHP_SELF"])-24);
$visichat_path = "http://".$_SERVER["HTTP_HOST"].$visichat_path."/";

$online = "";
if(get("online") == "yes"){
	$online = "and visi_chat_is_online=1 ";
}

$limit = 20;

if ( get("limit") != "" && is_numeric ( get("limit") ) )
{
	$limit = get("limit");
}



if($picture_only){
	$res = $db->run_query("select * from ".$members_table." inner join ".$members_info_table." on $members_table.$id_field=$members_info_table.visi_chat_user_id where $picture_field != '' $online order by ".$id_field." desc",1,$limit );
}else{
	$res = $db->run_query("select * from ".$members_table." inner join ".$members_info_table." on $members_table.$id_field=$members_info_table.visi_chat_user_id where 1=1 $online order by ".$id_field." desc",1,$limit );
}
?>
document.write("<div>");


<?php 
for ($i=0;$i<$db->get_num_rows($res);$i++){
$row = $db->fetch_assoc($res,$i);
?>
document.write("<div style='width:100%; overflow:hidden; float:left; margin:5px; padding:2px; background-color:<?php echo $setting->get("styles_userlist_item_bg"); ?>;'>");
document.write("<img height='80' style='max-width:80px; max-height:80px; float:left;' src='<?php echo $visichat_path.writepicture($row["visi_chat_gender"],$row["visi_chat_picture"]);?>' />");
document.write(" &nbsp; <b><?php echo $row[$username_field];?></b>");
document.write("<br /> &nbsp; <b><?php echo writeDate($row["visi_chat_year_of_birth"]);?></b> <?php echo writeGender($row["visi_chat_gender"]);?>");
document.write("</div>");

<?php } ?>



document.write("</div>");
<?php
$db->free_result($res);
$db->close();


function writepicture($gender,$pic){
	if ( strtolower(substr($pic, -4 )) == ".swf" )
	{
		$pic = "";
	}
	if(substr($pic,0,7) == "avatars"){
		return $pic;
	}
	if($pic == ""){
		return "images/nopic".$gender.".jpg";
	}
	return "members/$pic";
}
function writeDate($year){
	if($year != "" && $year > 1900){
		return date("Y")-$year;
	}

}
function writeGender($gender){
	global $language;
	if ($gender=="c"){
		return $language->get("couple");
	}
	if ($gender=="m"){
		return $language->get("male");
	}
	if ($gender=="f"){
		return $language->get("female");
	}		
	return "";
}
?>