<?php
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      				  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchats.com			          |
\*****************************************************************************/
require_once 'database.php';

class sqlserver_db extends database {	
	function sqlserver_db(){
		parent::database();
		$this->connect();
	}
	function connect(){
		$this->connection=mssql_connect ($this->server,$this->dbuser,$this->dbpass);
		if(!$this->connection){
				if (!$this->connection){
			 		die(mssql_get_last_message());
				}
			 $this->connected=false;
		}else{
			if(mssql_select_db($this->dbname)){
				$this->connected=true;
			}else{
				die(mssql_get_last_message());
			}
		}
	}
	function run_query($sql,$page="",$pagesize="",$order ="",$desc=false){
		$sql =ltrim($sql);
		$cmd_type =split(" ",$sql);
		if(strtolower(trim($cmd_type[0]))=="select" && $page!="" && is_numeric(($page))){
			$c1=strpos($sql,"from");
			$c2=substr($sql,6,3);
			//$sql ="SELECT TOP 5 ".$c2." ".substr($sql,$c1);
		}
		if($order != ""){
			if($desc){
				$sql.= " order by ".$order." ";
			}else{
				$sql.= " order by ".$order;
			}
		}
		$recordset = mssql_query($sql);
		if(!$recordset){
			echo mssql_get_last_message();
		}
		return $recordset;
	}

	function get_num_rows($recordset){
		return mssql_num_rows($recordset);
	}
	function fetch_assoc($recordset,$row=0){
		mssql_data_seek($recordset,$row);
		return mssql_fetch_assoc($recordset);
	}
	function fetch_array($recordset,$row=0){
		mssql_data_seek($recordset,$row);
		return mssql_fetch_array($recordset);
	}	
	function escape_string($str){
    	return addslashes($str);
	}
	function get_next_id($id,$table){
		$res = $this->run_query("select $id as id from $table",1,1,$id,false);
		if($this->get_num_rows($res)>0){
			$row = $this->fetch_assoc($res,0);
			$id = $row["id"]+1;
		}else{
			$id = 1;
		}
		$this->free_result($res);
		return $id;
	}
	function free_result($recordset=null){
		mssql_free_result($recordset);
	}
	function close(){
		mssql_close($this->connection);
	}
	function sql_error(){
		return mssql_get_last_message();
	}
}

?>