<?php
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      				  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchats.com			          |
\*****************************************************************************/

/*
 * 
 *  Use <script language="javascript" src="VisichatPATH/scripts/latestusers.php"></script> in your page
 *
 */
 
 // Change this variable to true if you need only users with picture appear
$pictre_only = false; 

include_once("library/factory.php");

$factory 	= new factory();
$db 		= $factory->get_db();
$config 	= $factory->getInstance("config");
$setting 	= $factory->getInstance("GSetting");

$language = $factory->getInstance("language");
$language->language = $setting->get("language");
$language->load();

$members_table = $setting->get("members_table");
$members_info_table = $setting->get("members_info_table");
$id_field = $setting->get("id_field");
$username_field = $setting->get("username_field");
$password_field = $setting->get("password_field");
$email_field = $setting->get("email_field");

if($setting->get("enable_stats_file") != "yes")
{
	if($_SESSION["visichat_logged"] != "1"){
		die("document.write('You don't have access to view this page.');");	
	}
}

$visichat_path = substr($_SERVER["PHP_SELF"],0,strlen($_SERVER["PHP_SELF"])-24);
$visichat_path = "http://".$_SERVER["HTTP_HOST"].$visichat_path."/";

$limit = 20;


$res = $db->run_query("select * from ".$config->prefix."online_users as A left join ".$members_info_table." as B on A.visi_online_userid=B.visi_chat_user_id order by B.visi_chat_is_mod desc,B.visi_chat_user_id desc");

?>
document.write("<table width='100%' border='0' cellpadding='0' cellspacing='3' style='font-family:Arial, Helvetica, sans-serif; font-size:12px; border-width:1px; border-style:solid; border-color:#3399CC;' class='windows_body'>");
document.write('<tr>');
document.write('<td colspan="3" bgcolor="#C2D7E2"><b><?php echo $language->get("online_users");?></b></td>');
document.write('</tr>');
<?php 
for ($i=0;$i<$db->get_num_rows($res);$i++){
$row = $db->fetch_assoc($res,$i);
?>
document.write('<tr>');
document.write('<td bgcolor="#EEF3F7"><b><?php echo $row["visi_online_username"];?></b></td>');
document.write('<td bgcolor="#EEF3F7" width="20" align="center"><img src="<?php echo $visichat_path;?><?php echo writeIcon($row["visi_chat_gender"]); ?>" /></td>');
document.write('<td bgcolor="#EEF3F7" width="40" align="center"><?php if ($row["visi_chat_year_of_birth"] != ""){ echo writeDate($row["visi_chat_year_of_birth"]);}?></td>');
document.write('</tr><tr><td colspan="3" height="1px;" bgcolor="#999999"></td></tr>');
<?php } ?>

document.write("</table>");
<?php
$db->free_result($res);
$db->close();

function writeDate($year){
	if($year != "" && $year > 1900){
		return date("Y")-$year;
	}

}
function writeIcon($gender){
	if ($gender=="c"){
		return "images/nopicc-t.jpg";
	}
	if ($gender=="m"){
		return "images/nopicm-t.jpg";
	}
	if ($gender=="f"){
		return "images/nopicf-t.jpg";
	}		
	return "images/nopicn-t.jpg";
}
?>