<?php 
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      		  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchat Design Studio           |
\*****************************************************************************/
include("common.php");
include("checker.php");
$config = $factory->getInstance("config");

$chat_setting = array(
	array("members_table","Members table name", "hide"),
	array("id_field","Your members table, id field name", "hide"),
	array("username_field","Your members table, username field", "hide"),
	array("password_field","Your members table, password field", "hide"),	
	array("pass_encrypt","Password encryption method", "hide"),
	array("email_field","Your members table, email field", "hide"),	
	array("picture_field","Your members table, picture field", "show"),
	array("integrate","Auto login system","hide"),
	array("integrate_prefix","Your script prefix (integration only)","show"),
	array("charset","Character encoding (default: utf-8)","show"),
	array("picture_path","Picture path (do not change)","show"),
	array("thumbnail_path","Thumbnails path (do not change)","show")	
);


$fields_array = array(
	array("id_field","Your members table, id field name", "hide"),
	array("username_field","Your members table, username field", "hide"),
	array("password_field","Your members table, password field", "hide"),	
	array("email_field","Your members table, email field", "hide")

);
$auto_logins = array("mambo","dolphin","dolphin4", "joomla 1","joomla 1.5","vbulletin","phpfox","phpfox2","phpfox3","drupal","MyBB","osdate","phpbb 2","phpbb 3","Softbiz Dating","joovili","PHP-Fusion","PostNuke","PHPNuke","x-cart","WebVideo","DZOIC Handshakes","SMF (Simple Machines Forum)","SMF 2","123flashchat","e-marvel","SocialEngine","e107","moodle","AbleDating","vldPersonals","custom","SocialMedia","SkaDate","clip-share","datingpro","emeeting","woltlab","rayzz", "pgdatingpro","wordpress");
$integration_fields["vbulletin"] = array(array("vbulletin_allowed_usergroups","Allowed Usergroups (Separate by comma)"),array("vbulletin_disallowed_usergroups","Disallowed Usergroups (Separate by comma)"));
$result 	= "";



if(isset($integration_fields[$setting->get("integrate")])){
	for($i=0;$i<count($integration_fields[$setting->get("integrate")]);$i++){
		array_push($chat_setting,array($integration_fields[$setting->get("integrate")][$i][0],$integration_fields[$setting->get("integrate")][$i][1],"show"));
	}
}


if($_GET["ac"]=="u" && $_POST["savesetting"]=="yes"){
	if($_SESSION["visichat_access"]=="1" && $setting->get("show_license_info") != "no"){
		for($i=0;$i<count($chat_setting);$i++){
			$mod = $chat_setting[$i];
			$setting->set($mod[0],post("set".$mod[0]));
		}
		$setting->save();
		$result = "Visichat setting updated successfully.";
	}else{
		$result = "You don't have access to this function";
	}	
}

$members_table = $setting->get("members_table");
$room_table = $setting->get("room_table");
$temp_pictures_table = $setting->get("temp_pictures_table");
$username_field = $setting->get("username_field");
$picture_field = $setting->get("picture_field");

$table_names = array();
if($config->dbtype == "mysql"){
	$res = $db->run_query("show tables");
}
if($config->dbtype == "sqlserver"){
	$res = $db->run_query("select name from sysobjects where type='U'");
}
for($i=0;$i<$db->get_num_rows($res);$i++){
	$row = $db->fetch_array($res,$i);
	$table_names[] = $row[0];
}
$db->free_result($res);


$field_names = array();
if($config->dbtype == "mysql"){
	$res = $db->run_query("SHOW FIELDS FROM ".$db->escape_string($members_table));
}
if($config->dbtype == "sqlserver"){
	$res = $db->run_query("SELECT COLUMN_NAME as Field FROM INFORMATION_SCHEMA.Columns WHERE TABLE_NAME = '".$members_table."'");
}
for($i=0;$i<$db->get_num_rows($res);$i++){
	$row = $db->fetch_array($res,$i);
	$field_names[] = $row["Field"];
}
$db->free_result($res);
sort($field_names);
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Gchats Visichat Admin Menu: Integration</title>
<link href="../images/style.css" rel="stylesheet" type="text/css" />
<script language="javascript">
function check_confirm(){
	var res = confirm("Are you sure?");
	return res;
}
</script>
<style type="text/css">
<!--
#Layer2 {
	position:absolute;
	left:10%;
	top:50px;
	width:90%;
	height:10px;
	z-index:2;
}
-->
</style>
</head>
<body>
<div id="Layer1" align="center" style="position:absolute;left:5;top:5;width:90;height:90;z-index:1;"><a href="menu.php"><img src="../images/return.jpg" width="54" height="54" border="0"><br>
  </a><a href="menu.php" class="YellowText">Return...</a></div>
<div id="Layer2" align="center" class="whileText"><?php echo $result;?></div>
<br />
<br />
<br>
<br>
<br>
<table width="800" border="0" align="center" cellpadding="0" cellspacing="0" class="TMain">
  <tr>
    <td width="2" height="18"><img src="../images/r1.gif" width="2" height="18" /></td>
    <td width="300" align="left" background="../images/r2.gif"><strong>&nbsp;&nbsp; Visichat Integration</strong></td>
    <td width="7"><img src="../images/r3.gif" /></td>
    <td background="../images/r4.gif">&nbsp;</td>
    <td width="2"><img src="../images/r5.gif" /></td>
  </tr>
</table>
<table width="800" border="0" align="center" cellpadding="5" cellspacing="0">
  <tr>
    <td width="2" background="../images/r6.gif"></td>
    <td  align="left" valign="top" background="../images/bgdot.gif" class="TextBlack12"><form name="form1" method="post" action="integration.php?ac=u">
      Advanced Users Only, Please do not change if you are not expert coder. <br>
      Incorrect setting may cause data lose which might be undoable. <br>
      <br>
      <table width="700" border="0" align="center" cellpadding="3" class="TextBlack12">	  
          <tr>
            <td colspan="2" align="center" bgcolor="#284172" class="whileText"><strong>Custom Integration</strong></td>
          </tr>
          <tr>
            <td width="70%" align="right" bgcolor="#FFFFFF" >Members table name: </td>
            <td align="left" bgcolor="#FFFFFF" >
			<select name="setmembers_table" onChange="document.form1.submit();">
			<?php for($i=0;$i<count($table_names);$i++){?>
			<option value="<?php echo $table_names[$i];?>" <?php if($setting->get("members_table")==$table_names[$i]){?> selected="selected"<?php }?>><?php echo $table_names[$i];?></option>
			<?php }?>
            </select>
            </td>
          </tr>
		  <?php
		  for($f=0;$f<count($fields_array);$f++){?>
          <tr>
            <td width="70%" align="right" bgcolor="#FFFFFF" ><?php echo $fields_array[$f][1];?>: </td>
            <td align="left" bgcolor="#FFFFFF" >
			<select name="set<?php echo $fields_array[$f][0];?>">
			<?php for($i=0;$i<count($field_names);$i++){?>
			<option value="<?php echo $field_names[$i];?>" <?php if($setting->get($fields_array[$f][0])==$field_names[$i]){?> selected="selected"<?php }?>><?php echo $field_names[$i];?></option>
			<?php }?>
            </select>
            </td>
          </tr>
		  <?php }?>
          <tr>
            <td width="70%" align="right" bgcolor="#FFFFFF" >Password Encryption method: </td>
            <td align="left" bgcolor="#FFFFFF" >
			<select name="setpass_encrypt">
			<?php for($i=0;$i<count($setting->password_encryptions);$i++){?>
			<option value="<?php echo $setting->password_encryptions[$i][1];?>" <?php if($setting->get("pass_encrypt")==$setting->password_encryptions[$i][1]){?> selected="selected"<?php }?>><?php echo $setting->password_encryptions[$i][0];?></option>
			<?php }?>
            </select>
            </td>
          </tr>	
          <tr>
            <td width="70%" align="right" bgcolor="#FFFFFF" >Select your script for auto login integration: </td>
            <td align="left" bgcolor="#FFFFFF" >
			<select name="setintegrate">
			<option value="">Not Listed</option>
			<?php for($i=0;$i<count($auto_logins);$i++){?>
			<option value="<?php echo $auto_logins[$i];?>" <?php if($setting->get("integrate")==$auto_logins[$i]){?> selected="selected"<?php }?>><?php echo $auto_logins[$i];?></option>
			<?php }?>
            </select>
            </td>
          </tr>			  	  
          <?php for($i=0;$i<count($chat_setting);$i++){
			$mod = $chat_setting[$i];
			if($mod[2]!= "hide"){
		?>
          <tr>
            <td width="70%" align="right" bgcolor="#FFFFFF" ><?php echo $mod[1];?>: </td>
            <td align="left" bgcolor="#FFFFFF" ><input type="text" name="set<?php echo $mod[0];?>" value="<?php echo $setting->get($mod[0]);?>" <?php if($mod[2]=="int"){?>onkeypress="var k = event.keyCode ? event.keyCode :event.charCode ? event.charCode : event.which; return /^(\d)$/.test(String.fromCharCode(k) );"<?php }?>></td>
          </tr>
          <?php 
		  }}?>
          <tr>
            <td colspan="2" align="center" bgcolor="#FFFFFF"><input type="submit" name="Submit" value="Save Setting"></td>
          </tr>
        </table>
        <br>
        Note: You will need to restart your red5 server after saving the changes<br> 
        <br>
        <input type="hidden" name="savesetting" value="yes">
    </form>
      <br></td>
    <td width="2" background="../images/r7.gif"></td>
  </tr>
</table>
<table width="800"  height="2" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td width="2" height="2"><img src="../images/r8.gif" width="2" height="2" /></td>
    <td style="background-image:url(../images/r9.gif); font-size:1px;">&nbsp;</td>
    <td height="2" width="2"><img src="../images/r10.gif" /></td>
  </tr>
</table>
</body>
</html>
<?php
function getLanguages(){
	$lng = array();
	if ($handle =  opendir('../languages')) {
		while (false !== ($file = readdir($handle))) {
			if ($file != '.' && $file != '..' && substr($file,1) != '.') {
				$info = pathinfo($file);
				if(strtolower($info["extension"]) == "xml"){					
					array_push($lng,substr($file,0,strlen($file)-4));
				}
			}
		}
		closedir($handle);
	}
	asort($lng);
	return $lng;
}

$db->close();
?>
