<?php 
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      		  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchat Design Studio           |
\*****************************************************************************/
include("common.php");
include("checker.php");
$config = $factory->getInstance("config");
$payment = $factory->getInstance("payment");
$result = "";

if($_GET["ac"]=="a"){
	if($_SESSION["visichat_access"]=="1"){
		if($_POST["gateway"] == ""){
			$result = "Please select a gateway";
		}else if ($payment->isValid($_POST["gateway"])){
			$payment->add($_POST["gateway"]);
			$result ="Gateway added successfully";
		}else{
			$result = "Gateway not found";
		}
	}else{
		$result = "You don't have access to this function";
	}
}
if($_GET["ac"]=="d"){
	if($_SESSION["visichat_access"]=="1"){
		if($_GET["g"] == ""){
			$result = "gateway not found";
		}else if ($payment->idExists($_GET["g"])){
			$payment->remove($_GET["g"]);
			$result ="Gateway removed successfully";
		}else{
			$result = "Gateway not found";
		}
	}else{
		$result = "You don't have access to this function";
	}
}
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Gchats Visichat Admin Menu: Payment setup</title>
<link href="../images/style.css" rel="stylesheet" type="text/css" />
<script language="javascript">
function check_confirm(){
	var res = confirm("Are you sure?");
	return res;
}
</script>
<style type="text/css">
<!--
#Layer2 {
	position:absolute;
	left:10%;
	top:50px;
	width:90%;
	height:10px;
	z-index:2;
}
-->
</style>
</head>
<body>
<div id="Layer1" align="center" style="position:absolute;left:5;top:5;width:90;height:90;z-index:1;"><a href="menu.php"><img src="../images/return.jpg" width="54" height="54" border="0"><br>
  </a><a href="menu.php" class="YellowText">Return...</a></div>
<div id="Layer2" align="center" class="whileText"><?php echo $result;?></div>
<br />
<br />
<br>
<br>
<br>
<table width="800" border="0" align="center" cellpadding="0" cellspacing="0" class="TMain">
  <tr>
    <td width="2" height="18"><img src="../images/r1.gif" width="2" height="18" /></td>
    <td width="300" align="left" background="../images/r2.gif"><strong>&nbsp;&nbsp; Add Payment Gateway </strong></td>
    <td width="7"><img src="../images/r3.gif" /></td>
    <td background="../images/r4.gif">&nbsp;</td>
    <td width="2"><img src="../images/r5.gif" /></td>
  </tr>
</table>
<table width="800" border="0" align="center" cellpadding="5" cellspacing="0">
  <tr>
    <td width="2" background="../images/r6.gif"></td>
    <td  align="left" valign="top" background="../images/bgdot.gif" class="TextBlack12"><form name="form1" method="post" action="payment.php?ac=a">
        <table width="450" border="0" align="center" class="TextBlack12">
          <tr>
            <td colspan="2" align="center" bgcolor="#284172" class="whileText">Add Payment gateway </td>
          </tr>
          <tr>
            <td align="right" bgcolor="#FFFFFF">Payment gateway: </td>
            <td bgcolor="#FFFFFF"><select name="gateway">
			<option value="">--Select--</option>
			<?php for($i=0;$i<count($payment->gateways);$i++){
			$gateway = $payment->gateways[$i][0];
			?>
			<option value="<?php echo $gateway;?>"><?php echo $gateway;?></option>
			<?php }?>
            </select>
            </td>
          </tr>
          <tr>
            <td colspan="2" align="center" bgcolor="#FFFFFF"><input type="submit" name="Submit" value="Add gateway"></td>
          </tr>
        </table>
      </form>
    <br>
    <table width="450" border="0" align="center" class="TextBlack12">
      <tr>
        <td colspan="5" align="center" bgcolor="#284172" class="whileText">Gateways</td>
      </tr>
      <tr>
        <td align="left" bgcolor="#FFFFFF">Gateway</td>
        <td align="left" bgcolor="#FFFFFF">Credits</td>		
        <td align="center" bgcolor="#FFFFFF" width="80">Status</td>
        <td align="center" bgcolor="#FFFFFF" width="80">Setup</td>
        <td align="center" bgcolor="#FFFFFF" width="80">Delete</td>		
      </tr>
	 <?php 
	 $res  = $db->run_query("select * from ".$config->prefix."gateways order by g_order desc");
	 
	 for($i=0;$i<$db->get_num_rows($res);$i++){
	 $row = $db->fetch_assoc($res,$i);
	?>
      <tr>
        <td align="left" bgcolor="#FFFFFF"><b><?php echo $row["g_name"];?></b></td>
        <td align="left" bgcolor="#FFFFFF"><b><?php echo $row["g_credit"];?></b></td>		
        <td align="center" bgcolor="#FFFFFF" width="80"><b><?php if($row["g_active"]=="1"){?><font color="#66CC00">Active</font><?php }else{ ?><font color="#FF0000">Disabled</font><?php }?></b></td>
        <td align="center" bgcolor="#FFFFFF" width="80"><a href="setuppayment.php?g=<?php echo $row["id"];?>" class="Links4" >Setup</a></td>
        <td align="center" bgcolor="#FFFFFF" width="80"><a href="?ac=d&g=<?php echo $row["id"];?>" class="Links4" onClick="return check_confirm();">Delete</a></td>		
      </tr>
	<?php
	
	}?>
    </table></td>
    <td width="2" background="../images/r7.gif"></td>
  </tr>
</table>
<table width="800"  height="2" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td width="2" height="2"><img src="../images/r8.gif" width="2" height="2" /></td>
    <td style="background-image:url(../images/r9.gif); font-size:1px;">&nbsp;</td>
    <td height="2" width="2"><img src="../images/r10.gif" /></td>
  </tr>
</table>
</body>
</html>
