<?php 
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      		  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchat Design Studio           |
\*****************************************************************************/


// Edit this value
// Set to true to enable reset

$enable_reset = false;


include("common.php");
include("checker.php");

$config = $factory->getInstance("config");
$members_table = $setting->get("members_table");
$members_info_table = $setting->get("members_info_table");

$remove_items = array('chat_stream_app','chat_stream_server','chat_room_close_msg','avatarlist','avatars','chat_room_open','closecam_idle_time','date_format','default_cam_quality','default_room','delete_non_activated','disconnect_idle_time','disconnect_redirect','edit_profile','email_activation','guest_time_limit','hand_raise','handraise_start_limit','handraise_talk_limit','history_messages','language','log_save_time','log_private_msg','log_days','max_file_size','memberlist_count','offline_members_link','pic_upload','premium_add_days','premium_cost','private_voice','privatemsg_control','profile_link','public_msg_button2_enabled','public_msg_button_enabled','register');

if($_GET["ac"]=="reset"){
	if($_SESSION["visichat_access"]=="1" && $enable_reset){
		$db->run_query("delete from ".$members_table);
		$db->run_query("delete from ".$members_info_table);
		$db->run_query("delete from ".$config->prefix."banip");
		$db->run_query("update ".$config->prefix."admin_users set passmd5='".md5("admin")."' where username='admin'");
		$db->run_query("delete from ".$config->prefix."rooms");
		$db->run_query("delete from ".$config->prefix."room_users");
		$db->run_query("insert into ".$config->prefix."rooms(room_name,room_capacity,room_key,room_type,room_public) values('Home',0,'','p',1)");
		$db->run_query("delete from ".$config->prefix."temp_pictures");
		$db->run_query("delete from ".$config->prefix."log_history");
		$db->run_query("delete from ".$config->prefix."gallery_movies");
		$db->run_query("delete from ".$config->prefix."banners");
		$db->run_query("delete from ".$config->prefix."offline_messages");
		$db->run_query("delete from ".$config->prefix."friend_list");
		$db->run_query("delete from ".$config->prefix."block_list");
		$db->run_query("delete from ".$config->prefix."votes");
		$db->run_query("delete from ".$config->prefix."online_users");
		$db->run_query("delete from ".$config->prefix."badwords");
		$db->run_query("delete from ".$config->prefix."games");
		$db->run_query("delete from ".$config->prefix."transactions");
		$db->run_query("delete from ".$config->prefix."secure_setting");
		$db->run_query("delete from ".$config->prefix."gateways");		
		$db->run_query("delete from ".$config->prefix."gateway_options");
		$db->run_query("delete from ".$config->prefix."ip2country");
		$db->run_query("delete from ".$config->prefix."bancountry");
		$db->run_query("delete from ".$config->prefix."reports");						
		$db->run_query("delete from ".$config->prefix."setting where set_property like 'styles_%'");
		$db->run_query("delete from ".$config->prefix."setting where set_property like 'perm_%'");
		$db->run_query("delete from ".$config->prefix."setting where set_property like 'show_%' and set_property <> 'show_license_info'");
		$db->run_query("delete from ".$config->prefix."setting where set_property like 'public_%'");
		$db->run_query("delete from ".$config->prefix."setting where set_property like 'enable_%'");
		$db->run_query("delete from ".$config->prefix."setting where set_property like 'gallery_%'");		
		$db->run_query("delete from ".$config->prefix."setting where set_property like 'allow_%'");
		$db->run_query("delete from ".$config->prefix."setting where set_property like 'user_access_%'");
		$db->run_query("delete from ".$config->prefix."setting where set_property like '%_link'");		
		for($i=0;$i<count($remove_items);$i++){
			$db->run_query("delete from ".$config->prefix."setting where set_property ='".$db->escape_string($remove_items[$i])."'");
		}
		delfiles("../banners/");
		delfiles("../members/");
		delfiles("../members/thumbnails/");
		delfiles("../games/");

	}else{
		$result = "You don't have access to this function";
	}
}
function delfiles($path){
    if ($dh = opendir($path)) {
        while (($file = readdir($dh)) !== false) {
			if(filetype($path . $file)=="file"){
				unlink($path.$file);
			}
		}
	} 

}
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Gchats Visichat Admin Menu: Factory Reset</title>
<link href="../images/style.css" rel="stylesheet" type="text/css" />
<script language="javascript">
function check_confirm(){
	var res = confirm("Are you sure?");
	return res;
}
</script>
<style type="text/css">
<!--
#Layer2 {
	position:absolute;
	left:10%;
	top:50px;
	width:90%;
	height:10px;
	z-index:2;
}
.style1 {
	color: #FF0000;
	font-weight: bold;
}
-->
</style>
</head>

<body>  
<div id="Layer1" align="center" style="position:absolute;left:5;top:5;width:90;height:90;z-index:1;"><a href="menu.php"><img src="../images/return.jpg" width="54" height="54" border="0"><br>
</a><a href="menu.php" class="YellowText">Return...</a></div>
<div id="Layer2" align="center" class="whileText"><?php echo $result;?></div>
<br />
<br />
<br>
<br>
<br>
<table width="800" border="0" align="center" cellpadding="0" cellspacing="0" class="TMain">
  <tr>
    <td width="2" height="18"><img src="../images/r1.gif" width="2" height="18" /></td>
    <td width="300" align="left" background="../images/r2.gif"><strong>&nbsp;&nbsp; Factory Reset </strong></td>
    <td width="7"><img src="../images/r3.gif" /></td>
    <td background="../images/r4.gif">&nbsp;</td>
    <td width="2"><img src="../images/r5.gif" /></td>
  </tr>
</table>
<table width="800" border="0" align="center" cellpadding="5" cellspacing="0">
  <tr>
    <td width="2" background="../images/r6.gif"></td>
    <td  align="left" valign="top" background="../images/bgdot.gif" class="TextBlack12">
	<form name="form1" method="post" action="reset.php?ac=reset" onSubmit="return check_confirm()">
	<table width="100%" border="0" cellpadding="5" cellspacing="5" class="TextBlack12">
      <tr>
        <td align="center" bgcolor="#FFFFFF"><img src="../images/warning.jpg" width="30" height="25" align="absmiddle"><strong>Warning</strong>, this function will <span class="style1">remove</span> <strong>ALL users</strong> and <strong>ALL rooms</strong> from your database and resets all values to the default setting, This is not undoable and it is at your own risk, Are you sure? <br>
          <br>
 
		  <input type="button" name="Button" value="Cancel and return to the main menu" onClick="window.location='menu.php'">
                 <?php if($enable_reset){?>
				  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;  <input type="submit" name="Submit" value="Reset Chatroom"><br>
		  
		  <?php }else{ ?><br><br>
		  This feature is turned off by default for security reasons, <br>
		  To enable, edit reset.php file and set $enable_reset value to true. <?php }?></td>
      </tr>
    </table>
    
    </form>
    <br></td>
    <td width="2" background="../images/r7.gif"></td>
  </tr>
</table><table width="800"  height="2" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td width="2" height="2"><img src="../images/r8.gif" width="2" height="2" /></td>
    <td style="background-image:url(../images/r9.gif); font-size:1px;">&nbsp;</td>
    <td height="2" width="2"><img src="../images/r10.gif" /></td>
  </tr>
</table>
</body>
</html>