<?php 
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      		  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchat Design Studio           |
\*****************************************************************************/
include("common.php");
include("checker.php");
$config = $factory->getInstance("config");
$payment = $factory->getInstance("payment");
$scripts_url = "http://".$_SERVER["HTTP_HOST"].substr($_SERVER["PHP_SELF"],0,strlen($_SERVER["PHP_SELF"])-23)."/scripts/payment/notify.php?g=".$_GET["g"];
$result = "";
$found = false;

if($_GET["r"]=="s"){
	$result = "Gateway saved successfully";
}
if($_GET["r"]=="ce"){
	$result = "Credits should be a numeric value";
}
if($_GET["g"] == "" || !is_numeric($_GET["g"])){
	$result = "Payment gateway not found";
}else{
	 $res  = $db->run_query("select * from ".$config->prefix."gateways where id=".$db->escape_string($_GET["g"]));
	 if($db->get_num_rows($res)==0){
		 $result = "Payment gateway not found";
	 }else{
	 	$row = $db->fetch_assoc($res);
		$found = true;
	 }
	 $db->free_result($res);
}

if($found){
	$gateway = $payment->get($row["g_name"]);
	if($gateway==null){
		$found = false;
		 $result = "Payment gateway not found";
	}
}

if($found){
	if($_GET["ac"]=="s"){
		if($_SESSION["visichat_access"]=="1"){
			$status = $order = 0;
			if($_POST["status"] == 1){
				$status = 1;
			}
			if(is_numeric($_POST["order"]) && $_POST["order"] != "" && $_POST["order"]>=0){
				$order = $_POST["order"];
			}
			$credit = $row["g_credit"];
			if(is_numeric($_POST["credit"]) && $_POST["credit"] != "" && $_POST["credit"]>0){
				$credit = $_POST["credit"];
			}else{
				?>
<meta http-equiv="refresh" content="0;URL=?g=<?php echo $_GET["g"];?>&r=ce">
<?php 
				$db->close();
				exit();
			}
			$db->run_query("update ".$config->prefix."gateways set g_title='".$db->escape_string($_POST["g_title"])."',g_credit=$credit,g_order=$order , g_active=$status where  id=".$db->escape_string($_GET["g"]));
			
			for($i=0;$i<count($gateway[1]);$i++){
				$payment->addOption($_GET["g"],$gateway[1][$i][1],$_POST[$gateway[1][$i][1]]);
			}
			?>
<meta http-equiv="refresh" content="0;URL=?g=<?php echo $_GET["g"];?>&r=s">
<?php 
			$db->close();
			exit();
		}else{
			$result = "You don't have access to this function";
		}
	}
}
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Gchats Visichat Admin Menu: Payment setup<?php echo $row["g_name"];?></title>
<link href="../images/style.css" rel="stylesheet" type="text/css" />
<script language="javascript">
function check_confirm(){
	var res = confirm("Are you sure?");
	return res;
}
</script>
<style type="text/css">
<!--
#Layer2 {
	position:absolute;
	left:10%;
	top:50px;
	width:90%;
	height:10px;
	z-index:2;
}
-->
</style>
</head>
<body>
<div id="Layer1" align="center" style="position:absolute;left:5;top:5;width:90;height:90;z-index:1;"><a href="payment.php"><img src="../images/return.jpg" width="54" height="54" border="0"><br>
  </a><a href="payment.php" class="YellowText">Return...</a></div>
<div id="Layer2" align="center" class="whileText"><?php echo $result;?></div>
<br />
<br />
<br>
<br>
<br>
<table width="800" border="0" align="center" cellpadding="0" cellspacing="0" class="TMain">
  <tr>
    <td width="2" height="18"><img src="../images/r1.gif" width="2" height="18" /></td>
    <td width="300" align="left" background="../images/r2.gif"><strong>&nbsp;&nbsp; Setup <b><?php echo $row["g_name"];?></b> Gateway </strong></td>
    <td width="7"><img src="../images/r3.gif" /></td>
    <td background="../images/r4.gif">&nbsp;</td>
    <td width="2"><img src="../images/r5.gif" /></td>
  </tr>
</table>
<table width="800" border="0" align="center" cellpadding="5" cellspacing="0">
  <tr>
    <td width="2" background="../images/r6.gif"></td>
    <td  align="left" valign="top" background="../images/bgdot.gif" class="TextBlack12"><?php if($found){?>
      <form name="form1" method="post" action="?ac=s&g=<?php echo $_GET["g"];?>">
        <br>
        <?php if($gateway[3]!= ""){?>
        <table border="0" align="center" class="whileText">
          <tr>
            <td align="center" bgcolor="#284172"> In your <b><?php echo $gateway[0];?></b> control panel, set <b><?php echo $gateway[3];?></b> to:<br>
              <br>
              <b> <span style="background:#000000"><?php echo $scripts_url;?></span></b><br></td>
          </tr>
        </table>
        <?php }?>
        <br>
        <table width="500" border="0" align="center" class="TextBlack12">
          <tr>
            <td align="right" bgcolor="#F4F7FB">Gateway: </td>
            <td bgcolor="#F4F7FB"><b><?php echo $row["g_name"];?></b></td>
          </tr>
          <tr>
            <td align="right" bgcolor="#F4F7FB">Gateway Title: </td>
            <?php
	$title = $row["g_name"]." payment gateway";
	if($row["g_title"]!=""){
		$title = $row["g_title"];
	}
	
	?>
            <td bgcolor="#F4F7FB"><b>
              <input name="g_title" type="text" value="<?php echo $title;?>">
              </b></td>
          </tr>
          <tr>
            <td align="right" bgcolor="#F4F7FB">Credits: </td>
            <td bgcolor="#F4F7FB"><b>
              <input name="credit" type="text" id="credit" value="<?php echo $row["g_credit"];?>" size="8" maxlength="8">
              </b></td>
          </tr>
          <?php 


$options = $payment->getOptions($_GET["g"]);
for($i=0;$i<count($gateway[1]);$i++){
$value = $options[$gateway[1][$i][1]];
if($value == ""){
	$value = $gateway[1][$i][4];
}
if($_SESSION["visichat_access"]!="1"){
	$value = "********";
}
?>
          <tr>
            <td align="right" bgcolor="#F4F7FB"><?php echo $gateway[1][$i][0];?>:</td>
            <td bgcolor="#F4F7FB"><?php writeField($gateway[1][$i][2],$gateway[1][$i][1],$value,$gateway[1][$i][3]);?></td>
          </tr>
          <?php }?>
          <tr>
            <td align="right" bgcolor="#F4F7FB">Order:</td>
            <td bgcolor="#F4F7FB"><select name="order">
                <?php for($i=0;$i<=10;$i++){?>
                <option value="<?php echo $i;?>" <?php if($row["g_order"]==$i){?> selected="selected"<?php }?>><?php echo $i;?></option>
                <?php }?>
              </select>
            </td>
          </tr>
          <tr>
            <td align="right" bgcolor="#F4F7FB">Status:</td>
            <td bgcolor="#F4F7FB"><select name="status">
                <option value="0" <?php if($row["g_active"]==0){?> selected="selected"<?php }?>>Disabled</option>
                <option value="1" <?php if($row["g_active"]==1){?> selected="selected"<?php }?>>Active</option>
              </select>
            </td>
          </tr>
          <tr>
            <td colspan="2" align="center" bgcolor="#F4F7FB"><input type="submit" name="Submit" value="Save Changes"></td>
          </tr>
        </table>
      </form>
	  <?php if(!extension_loaded("curl") && $gateway[2][1][1]=="yes"){  ?><font color="#FF0000" class="ErrorFields" style="background-color:#FFFF00"> Warning: php_curl extension is not installed, This gateway may not work properly !</font>
	 <?php }?>

	  <?php if(!extension_loaded("openssl")  && $gateway[2][2][1]=="yes"){  ?>
	  <br>
	  <font color="#FF0000" class="ErrorFields"  style="background-color:#FFFF00">Warning: php_openssl extension is not installed, This gateway may not work properly !</font>
	 <?php }?>	 
      <?php }else{?>
      <div align="center"><b>Cannot find this payment gateway.</b></div>
      <?php }?>
    </td>
    <td width="2" background="../images/r7.gif"></td>
  </tr>
</table>
<table width="800"  height="2" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td width="2" height="2"><img src="../images/r8.gif" width="2" height="2" /></td>
    <td style="background-image:url(../images/r9.gif); font-size:1px;">&nbsp;</td>
    <td height="2" width="2"><img src="../images/r10.gif" /></td>
  </tr>
</table>
</body>
</html><?php
function writeField($type,$name,$value,$help){
	switch($type){
		case 'checkbox':
			echo '<input type="checkbox" name="'.$name.'" value="yes"';
			if($value != "no"){
				echo 'checked="checked"';
			}
			echo ' >';
		break;
		case 'textarea':
			echo '<textarea name="'.$name.'" cols="25" rows="3">'.$value.'</textarea>';
		break;
		case 'int':
			echo '<input type="text" id="'.$name.'" style="background-color:#FFFFFF;" name="'.$name.'" maxlength="3" size="3" value="'.$value.'" onkeypress="var k = event.keyCode ? event.keyCode :event.charCode ? event.charCode : event.which; return /^(\d)$/.test(String.fromCharCode(k) );">';
		break;
		case 'color':
			echo '<input type="text" id="'.$name.'" style="background-color:'.$value.';" name="'.$name.'" value="'.$value.'" >';
			echo '<span onClick="openPicker(\''.$name.'\')" class="picker_layer" style="cursor:crosshair;">Pick Color</span>';
		break;
		default:
			echo '<input type="text" id="'.$name.'"  name="'.$name.'" value="'.$value.'" >';
		break;
	}
	if($help != ""){
		echo '<img src="../images/help.jpg" align="absmiddle" title="'.$help.'" />';
	}

}?>
