<?php 
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2010 Gchat Design Studio http://www.gchats.com      		  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchat Design Studio           |
\*****************************************************************************/
include("common.php");
include("checker.php");

$config 	= $factory->getInstance("config");
$banner_table = $config->prefix."banners";
$uploadpath = "..".DS."banners";
$page = $_GET["page"];
if($page =="" || $page<0 || !is_numeric($page)){$page = 1;}
$pagesize = 50;


$valid_files = array("jpg","gif","png","swf");

$result = "";

if($_GET["r"]=="a"){
	$result ="banner added successfully";
}
if($_GET["r"]=="s"){
	$result ="banner saved successfully";
}


if($_GET["ac"] == "d" && is_numeric($_GET["i"])){
	if($_SESSION["visichat_access"]=="0"){
		$res = $db->run_query("select * from ".$banner_table." where id=".$db->escape_string($_GET["i"]));
		if($db->get_num_rows($res)==0){
			$result = "Banner not found.";
		}else{
			$row = $db->fetch_assoc($res);
			if(is_file($uploadpath.DS.$row["b_filename"])){
				unlink($uploadpath.DS.$row["b_filename"]);
			}
			$db->run_query("delete from ".$banner_table." where id=".$db->escape_string($_GET["i"]));
			$result = "Banner deleted successfully.";
		}
		$db->free_result($res);
	}else{
		$result = "You don't have access to this function";
	}
}


if($_GET["ac"]=="a"){
	if($_SESSION["visichat_access"]=="0"){
		$result = verify();
		if($result == ""){
			addBanner();
			$db->close();?>
			<meta http-equiv="refresh" content="0;URL=banners.php?r=a&page=<?php echo $page;?>">
			<?php exit();
		}
	}else{
		$result = "You don't have access to this function";
	}
}
function addBanner(){
	global $db,$factory,$banner_table,$uploadpath;
	$error = "";
	$path_info 	= pathinfo($_FILES["bfile"]["name"]);
	
	$random = rand(1000,1000000);
	$filename = get_next_id()."-".$random.".".strtolower($path_info["extension"]);
	$uploadfile = $uploadpath.DS.$filename;
	if(move_uploaded_file($_FILES["bfile"]['tmp_name'],$uploadfile)){
		
		$link = post("blink");
		if(strtolower($link)=="http://"){$link ="";}
		if(strtolower(substr($link,0,7))!= "http://" && $link != ""){$link = "http://".$link;}
		
		if(post("active")=="yes"){$active="1";}else{$active="0";}
		if(post("newwindow")=="yes"){$newwindow="1";}else{$newwindow="0";}
		$b_code = base64_encode(md5(rand(10000,9000000).rand(100,10000000000)));
		if(post("expire")== 0){
			$expire_date=0;
		}else{
			$expire_date = time() + (post("expire")*86400);
		}
		$db->run_query("insert into ".$banner_table." (b_title,b_filename,b_link,b_start_time,b_prioroty,b_delay,b_expire,b_click_expire,b_view_expire,b_active,b_newwindow,b_clicks,b_views,b_code)values('".$db->escape_string(post("btitle"))."','".$db->escape_string($filename)."','".$db->escape_string($link)."',".time().",".$db->escape_string(post("priority")).",".$db->escape_string(post("delay")).",".$db->escape_string($expire_date).",".$db->escape_string(post("click_expire")).",".$db->escape_string(post("view_expire")).",".$active.",".$newwindow.",0,0,'".$db->escape_string($b_code)."')");

	}else{
		$error = "<li>Error in uploading banner</lib>";
	}
	return $error;
}

function verify(){
	global $valid_files;
	$error = "";
	if(post("btitle")==""){
		$error = "<li>Banner title is required.</li>";	
	}
	$req_file=true;
	if($_GET["ac"]=="se"){
		if($_FILES["bfile"]["name"]==""){
			$req_file=false;
		}
	}
	if($req_file){
		if(!isset($_FILES["bfile"])){
			$error .= "<li>Banner file is required.</li>";	
		}else{
			if($_FILES["bfile"]["name"]==""){
				$error .= "<li>Banner file is required.</li>";	
			}else{
				$path_info 	= pathinfo($_FILES["bfile"]["name"]);
				if(!in_array(strtolower($path_info["extension"]),$valid_files)){
					$error .= "<li>Banner file is not a valid format.</li>";	
				}
			}
		}
	}
	if(!is_numeric(post("priority")) || post("priority")=="" ){
		$error .= "<li>Priority should be a numeric value</li>";
	}
	if(!is_numeric(post("delay")) || post("delay")==""){
		$error .= "<li>Delay should be a numeric value</li>";
	}
	if(!is_numeric(post("expire")) || post("expire") == ""){
		$error .= "<li>Days expire should be a numeric value</li>";
	}
	if(!is_numeric(post("click_expire")) || post("click_expire") == ""){
		$error .= "<li>Click expire should be a numeric value</li>";
	}
	if(!is_numeric(post("view_expire")) || post("view_expire") == ""){
		$error .= "<li>View expire should be a numeric value</li>";
	}
	return $error;
}
function get_next_id(){
	global $db,$banner_table;
	$res = $db->run_query("select * from ".$banner_table." order by id");
	if($db->get_num_rows($res)==0){
		$id=1;
	}else{
		$row = $db->fetch_assoc($res);
		$id = $row["id"]+1;
	}
	$db->free_result($res);
	return $id;
}
//$db->run_query("drop table ".$banner_table);

$query = "select * from ".$banner_table." order by id";
$res = $db->run_query($query,$page,$pagesize);
if(!$res){
	$result = "Banner database auto installation succcessful";
	// Auto Install
		$db->run_query("create table ".$banner_table."(
		id int(10) unsigned NOT NULL auto_increment,
		b_title varchar(255) NOT NULL,
		b_filename VARCHAR(255) NOT NULL,
		b_link VARCHAR(255) NOT NULL,
		b_start_time double default '0',
		b_prioroty INTEGER UNSIGNED NOT NULL,
		b_delay int(10) UNSIGNED NOT NULL,
		b_expire double default '0',
		b_click_expire int(10) UNSIGNED NOT NULL,
		b_view_expire int(10) UNSIGNED NOT NULL,
		b_active tinyint(3) unsigned NOT NULL default '1',
		b_newwindow tinyint(3) unsigned NOT NULL default '1',
		b_clicks INTEGER UNSIGNED NOT NULL,
		b_views INTEGER UNSIGNED NOT NULL,
		b_code VARCHAR(255) NOT NULL,
		PRIMARY KEY (id))ENGINE = MyISAM;");
	//
	$res = $db->run_query($query,$page,$pagesize);
}

$res2 = $db->run_query("select count(id) as cnt from ".$banner_table);
$row2 = $db->fetch_assoc($res2);
$total_banners= $row2["cnt"];
$total_pages = ceil($total_banners/$pagesize);
$db->free_result($res2);

$editmode=false;
if($_GET["ac"] == "e" && is_numeric($_GET["i"])){
	$res = $db->run_query("select * from ".$banner_table." where id=".$db->escape_string($_GET["i"]));
	if($db->get_num_rows($res)==0){
		$result = "Banner not found.";
	}else{
		$row = $db->fetch_assoc($res);
		$editmode = true;
		$_POST["b_filename"] = $row["b_filename"];
		$_POST["btitle"] = $row["b_title"];
		$_POST["blink"] = $row["b_link"];
		$_POST["priority"] = $row["b_prioroty"];
		$_POST["delay"] = $row["b_delay"];
		$_POST["click_expire"] = $row["b_click_expire"];
		$_POST["view_expire"] = $row["b_view_expire"];
		if($row["b_newwindow"]==1){$_POST["newwindow"]="yes";}
		if($row["b_active"]==1){$_POST["active"]="yes";}
		if($row["b_expire"]==0){
			$_POST["expire"]=0;
		}else{
			$expire_date=ceil(($row["b_expire"]-time())/86400);
			if($expire_date==0){$expire_date=-1;}
			$_POST["expire"]=$expire_date;
			
		}
		$_POST["Submit"]="Edit";
	}
	$db->free_result($res);
}


if($_GET["ac"] == "se" && is_numeric($_GET["i"])){
	if($_SESSION["visichat_access"]=="0"){
		$res = $db->run_query("select * from ".$banner_table." where id=".$db->escape_string($_GET["i"]));
		if($db->get_num_rows($res)==0){
			$result = "Banner not found.";
		}else{
			$row = $db->fetch_assoc($res);
			$_POST["b_filename"] = $row["b_filename"];
			$editmode=true;
			$result = verify();
			if($result == ""){
			saveBanner($db->fetch_assoc($res));
					$db->close();?>
				<meta http-equiv="refresh" content="0;URL=banners.php?r=s&page=<?php echo $page;?>">
				<?php exit();
			}
		}
		$db->free_result($res);
	}else{
		$result = "You don't have access to this function";
	}
}

function saveBanner($row){
	global $db,$factory,$banner_table,$uploadpath;
	$error = "";
	if($_FILES["bfile"]["name"]==""){
		$filename = $row["b_filename"];
	}else{
		
		$path_info 	= pathinfo($_FILES["bfile"]["name"]);
		$random = rand(1000,1000000);
		$filename = $row["id"]."-".$random.".".strtolower($path_info["extension"]);
		$uploadfile = $uploadpath.DS.$filename;
		
		if(move_uploaded_file($_FILES["bfile"]['tmp_name'],$uploadfile."_tmp")){
			copy($uploadfile."_tmp",$uploadfile);
			if(is_file($uploadpath.DS.$row["b_filename"])){
				unlink($uploadpath.DS.$row["b_filename"]);
			}
		}else{
			$error = "<li>Error in uploading banner</lib>";		
		}
		unlink($uploadfile."_tmp");
	}
	if($error ==""){
		$link = post("blink");
		if(strtolower($link)=="http://"){$link ="";}
		if(strtolower(substr($link,0,7))!= "http://" && $link != ""){$link = "http://".$link;}
		
		if(post("active")=="yes"){$active="1";}else{$active="0";}
		if(post("newwindow")=="yes"){$newwindow="1";}else{$newwindow="0";}
		if(post("expire")== 0){
			$expire_date=0;
		}else{
			$expire_date = time() + (post("expire")*86400);
		}
		$db->run_query("update ".$banner_table." set b_title='".$db->escape_string(post("btitle"))."',b_filename='".$db->escape_string($filename)."',b_link='".$db->escape_string($link)."',b_prioroty=".$db->escape_string(post("priority")).",b_delay=".$db->escape_string(post("delay")).",b_expire=".$db->escape_string($expire_date).",b_click_expire=".$db->escape_string(post("click_expire")).",b_view_expire=".$db->escape_string(post("view_expire")).",b_active=".$active.",b_newwindow=".$newwindow." where id=".$db->escape_string($_GET["i"]));
	}
	return $error;
}
function resize($filein, $fileout, $newwidth,$ext){
	list($width, $height) = getimagesize($filein);
	if($width>$height){
	   $newwidth = $newwidth;
	   $newheight=$height*$newwidth/$width; 
	}else{
	$newheight = $newwidth;
	 $newwidth=$width*$newheight/$height;    
	}
	if($ext=="jpg"){
		$thumb = @imagecreatetruecolor($newwidth,$newheight);
	   $source = @imagecreatefromjpeg("$filein");
	}	   
	if($ext=="gif"){
		$thumb = @imagecreate($newwidth,$newheight);		
	   $source = @imagecreatefromgif("$filein");
	}
	if($ext=="png"){
		$thumb = @imagecreatetruecolor($newwidth,$newheight);		
	   $source = @imagecreatefrompng("$filein");
	}
	if($source ){		
		$background_cl = imagecolorallocate($thumb,255,255,255);		
		imagecopyresized($thumb, $source, 0, 0, 0, 0, $newwidth, $newheight, $width, $height);
		imagejpeg($thumb, $fileout,90);
		return true;
	}
	return false;
}
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Gchats Visichat Admin Menu: Banners</title>
<link href="../images/style.css" rel="stylesheet" type="text/css" />
<script language="javascript">
function check_confirm(){
	var res = confirm("Are you sure?");
	return res;
}
</script>

</head>

<body>  
<div id="Layer1" align="center" style="position:absolute;left:5;top:5;width:90;height:90;z-index:1;"><a href="menu.php"><img src="../images/return.jpg" width="54" height="54" border="0"><br>
</a><a href="menu.php" class="YellowText">Return...</a></div>

<br />
<br />
<br>
<br>
<br>
<table width="800" border="0" align="center" cellpadding="0" cellspacing="0" class="TMain">
  <tr>
    <td width="2" height="18"><img src="../images/r1.gif" width="2" height="18" /></td>
    <td width="300" align="left" background="../images/r2.gif"><strong>&nbsp;&nbsp; Banners Administration </strong></td>
    <td width="7"><img src="../images/r3.gif" /></td>
    <td background="../images/r4.gif">&nbsp;</td>
    <td width="2"><img src="../images/r5.gif" /></td>
  </tr>
</table>
<table width="800" border="0" align="center" cellpadding="5" cellspacing="0">
  <tr>
    <td width="2" background="../images/r6.gif"></td>
    <td  align="left" valign="top" background="../images/bgdot.gif" class="TextBlack12">
	<form action="banners.php?ac=<?php if($editmode){?>se&i=<?php echo $_GET["i"];?><?php }else{?>a<?php }?>&page=<?php echo $page;?>" method="post" enctype="multipart/form-data" name="form1">
  <div  align="left" class="YellowText"><br><b><?php echo $result;?></b></div><br>
  <?php if($editmode){
  $path = pathinfo(post("b_filename"));?>
  <div align="center">
    <?php if($path["extension"]=="swf"){?>
    <embed src="../banners/<?php echo htmlspecialchars(post("b_filename"));?>" quality="high"  pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" width="460" height="100"></embed>
<br>
  <?php }else{ ?>
  <img src="../banners/<?php echo htmlspecialchars(post("b_filename"));?>" width="400" title="<?php echo htmlspecialchars(post("btitle"));?>">
  <br><?php }?>
  </div>
  
  <?php }?>
    <table width="450" border="0" align="center" class="TextBlack12">
      <tr>
        <td colspan="2" align="center" bgcolor="#284172" class="whileText"><?php if($editmode){?>Edit<?php }else{?>Add<?php }?> Banner </td>
        </tr>
      <tr>
        <td align="right" bgcolor="#FFFFFF">Banner Title :</td>
        <td bgcolor="#FFFFFF"><input name="btitle" type="text" id="btitle" value="<?php echo htmlspecialchars(post("btitle"));?>" maxlength="40"></td>
      </tr>
      <tr>
        <td align="right" bgcolor="#FFFFFF">Banner file :<br>
          <font class="Comments"><font color="#666666"> (jpg, gif, png or swf files)</font></font> </td>
        <td bgcolor="#FFFFFF"><input type="file" id="bfile" name="bfile"></td>
      </tr>

      <tr>
        <td align="right" bgcolor="#FFFFFF">Banner Link:  </td>
        <td bgcolor="#FFFFFF">
          <input name="blink" type="blink" id="blink" value="<?php echo htmlspecialchars(post("blink"));?>"></td>
      </tr>
      <tr>
        <td align="right" bgcolor="#FFFFFF">Priority  :<br>
       <font class="Comments"><font color="#666666">    ( Higher Value appears first )</font></font> </td>
        <td bgcolor="#FFFFFF"><label>
          <select name="priority">
		  <?php for($i=1;$i<=10;$i++){?>
            <option value="<?php echo $i;?>" <?php if(post("priority")==$i){?> selected="selected"<?php }?>><?php echo $i;?></option>
			<?php }?>
          </select>
        </label></td>
      </tr>	 
      <tr>
        <td align="right" bgcolor="#FFFFFF">Delay :  </td>
        <td bgcolor="#FFFFFF"><label>
		<?php $delay_vals = array(5,10,20,30,45,60,90,120,180,300,600);?>
          <select name="delay">
		  <?php 
		  for($i=0;$i<count($delay_vals);$i++){
		  	if($delay_vals[$i]>=60){
				$label = ceil($delay_vals[$i]/60)." minutes";
			}else{
				$label = $delay_vals[$i]." seconds";	
			}?>
		  <option value="<?php echo $delay_vals[$i];?>" <?php if($delay_vals[$i]==post("delay") || (post("delay")=="" && $delay_vals[$i]==30)){?> selected="selected"<?php }?>><?php echo $label;?></option>
			<?php  }?>
		  <option  value="0" <?php if(post("delay")=="0"){?> selected="selected" <?php }?>>Forever</option>
		</select>
        </label></td>
      </tr>
      <tr>
        <td align="right" bgcolor="#FFFFFF">Expires In :  <br>
        <font class="Comments"><font color="#666666"> ( 0 for never expire )</font></font>       </td>
        <td bgcolor="#FFFFFF"><label>
          <input name="expire" type="text"  size="10" maxlength="5" value="<?php if(post("expire")==""){?>0<?php }else{ echo post("expire");}?>"> 
          Days </label></td>
      </tr>	
      <tr>
        <td align="right" bgcolor="#FFFFFF">Expires After :  <br>
        <font class="Comments"><font color="#666666"> ( 0 for never expire )</font></font>       </td>
        <td bgcolor="#FFFFFF"><label>
          <input name="click_expire" type="text"  size="10" maxlength="10" value="<?php if(post("click_expire")==""){?>0<?php }else{ echo post("click_expire");}?>"> 
          Clicks </label></td>
      </tr>
      <tr>
        <td align="right" bgcolor="#FFFFFF">Expires After :  <br>
        <font class="Comments"><font color="#666666"> ( 0 for never expire )</font></font>       </td>
        <td bgcolor="#FFFFFF"><label>
          <input name="view_expire" type="text" size="10" maxlength="10" value="<?php if(post("view_expire")==""){?>0<?php }else{echo post("view_expire");}?>"> 
          Views </label></td>
      </tr>	  
      <tr>
        <td align="right" bgcolor="#FFFFFF">Open in new window :  </td>
        <td bgcolor="#FFFFFF"><label>
          <input name="newwindow" type="checkbox" id="newwindow" value="yes" <?php if(!isset($_POST["Submit"]) || post("newwindow")=="yes"){?>checked<?php }?>>
        </label></td>
      </tr>	 
      <tr>
        <td align="right" bgcolor="#FFFFFF">Active :  </td>
        <td bgcolor="#FFFFFF"><label>
          <input name="active" type="checkbox" id="active" value="yes" <?php if(!isset($_POST["Submit"]) || post("active")=="yes"){?>checked<?php }?>>
        </label></td>
      </tr>	 	   	  	  
      <tr>
        <td colspan="2" align="center" bgcolor="#FFFFFF"><input type="submit" name="Submit" value="<?php if($editmode){?>Save<?php }else{?>Add<?php }?> Banner"> <?php if($editmode){?> <input type="button" name="Button" value="Cancel" onClick="window.location='banners.php?page=<?php echo $page;?>'">
        <?php }?></td>
        </tr>
    </table>  
    </form>
      <br>
      <br>
	  <?php if(!$editmode){?>
      <table width="700" border="0" align="center" cellpadding="2" class="TextBlack12">
      <tr class="whileText">
        <td align="center" bgcolor="#284172">#</td>
        <td bgcolor="#284172">Title </td>
        <td align="center" bgcolor="#284172">Start date </td>
        <td align="center" bgcolor="#284172">Clicks</td>
        <td align="center" bgcolor="#284172">Views</td>	
        <td align="center" bgcolor="#284172">Expires in</td>			
        <td align="center" bgcolor="#284172">Expired</td>								
        <td align="center" bgcolor="#284172">Active</td>		
        <td align="center" bgcolor="#284172">Edit</td>
        <td align="center" bgcolor="#284172">Delete</td>
      </tr>
	  <?php
	  for($i=0;$i<$db->get_num_rows($res);$i++){
	  $row = $db->fetch_assoc($res,$i);
	  $expired=false;
	  $click_expired=false;
	  $view_expired=false;
	  $date_expired=false;
	  if($row["b_click_expire"] >0){
		  if($row["b_clicks"]>=$row["b_click_expire"]){
			$expired=true;
			$click_expired=true;
		  }
		  $clicks = $row["b_clicks"]."/".$row["b_click_expire"];
	  }else{
		$clicks = $row["b_clicks"];
	  }
	  if($row["b_view_expire"] >0){
		  if($row["b_views"]>=$row["b_view_expire"]){
			$expired = true;
			$view_expired=true;
		  }
		  $views = $row["b_views"]."/".$row["b_view_expire"];
	  }else{
		  $views = $row["b_views"];
	  }
	  if($row["b_expire"]>0){
		  if($row["b_expire"]<time()){
			 $expired = true;
			  $date_expired=true;
		  }
		  $expire_date=ceil(($row["b_expire"]-time())/86400);
		  if($expired){
		  	$expire_date = "Expired";
		  }else{
		  	if($expire_date==1){
				$expire_date.= " day";
		  	}else{
				$expire_date.= " days";
			}
		  }
  	  }else{	  
	  	$expire_date = "Never";
	  }
		if($row["b_active"]==1){
			if($expired){
				$def_color="#E32D2D";
			}else{
	  			$def_color="#FFFFFF";
			}
		}else{
			$def_color = "#999999";
		}
	  ?>
      <tr>
        <td align="center" bgcolor="<?php echo $def_color;?>"><?php echo ((($page-1)*$pagesize)+($i+1));?></td>
        <td bgcolor="<?php echo $def_color;?>"><?php echo htmlspecialchars($row["b_title"]);?></td>
        <td align="center" bgcolor="<?php echo $def_color;?>"><?php echo date("F j, Y",$row["b_start_time"]);?></td>
        <td align="center" bgcolor="<?php if($click_expired){?>#FF9900<?php }else{echo $def_color; }?>"><?php echo $clicks;?></td>
        <td align="center" bgcolor="<?php if($view_expired){?>#FF9900<?php }else{echo $def_color; }?>"><?php echo $views;?></td>
        <td align="center" bgcolor="<?php if($date_expired){?>#FF9900<?php }else{echo $def_color; }?>"><?php echo $expire_date;?></td>		
        <td align="center" bgcolor="<?php echo $def_color;?>"><?php if($expired){showpic("yes.jpg");}else{showpic("no.jpg");}?></td>						
        <td align="center" bgcolor="<?php echo $def_color;?>"><?php if($row["b_active"]==1){showpic("yes.jpg");}else{showpic("no.jpg");}?></td>		
        <td align="center" bgcolor="<?php echo $def_color;?>"><a href="banners.php?ac=e&i=<?php echo $row["id"];?>&page=<?php echo $page;?>" class="Links4">Edit</a></td>
        <td align="center" bgcolor="<?php echo $def_color;?>"><a href="banners.php?ac=d&i=<?php echo $row["id"];?>&page=<?php echo $page;?>" onClick="return check_confirm();" class="Links4">Delete</a></td>
      </tr>
	  <?php }?>
    </table>
    
	  <table width="100" border="0" class="Comments">
        <tr>
          <td align="center" bgcolor="#FFFFFF">Active</td>
        </tr>
        <tr>
          <td align="center" bgcolor="#E32D2D">Expired</td>
        </tr>
        <tr>
          <td align="center" bgcolor="#999999">Inactive</td>
        </tr>
      </table>
	  <?php if($total_pages>1){?>
	<br>
    <table width="600" border="0" align="center" class="whileText">
      <tr>
        <td bgcolor="#284172">
		<a href="banners.php" class='Links1'>First Page</a>
		&nbsp;&nbsp;
		 <?php for($i=1;$i<=$total_pages;$i++){
		if($i==$page){
			echo "&nbsp;".$i."&nbsp;";
		}else{
			echo "&nbsp;<a href='banners.php?page=".$i."' class='Links1'>".$i."</a>&nbsp;";
		}
		
		 }?>
		&nbsp;&nbsp;
		 <a href="banners.php?page=<?php echo $total_pages;?>" class='Links1'>Last Page</a>		</td>
      </tr>
    </table>
	<?php }?><?php }?>
	<br></td>
    <td width="2" background="../images/r7.gif"></td>
  </tr>
</table>
<table width="800"  height="2" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td width="2" height="2"><img src="../images/r8.gif" width="2" height="2" /></td>
    <td style="background-image:url(../images/r9.gif); font-size:1px;">&nbsp;</td>
    <td height="2" width="2"><img src="../images/r10.gif" /></td>
  </tr>
</table>
</body>
</html>