<?php 
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2010 Gchat Design Studio http://www.gchats.com      		  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchat Design Studio           |
\*****************************************************************************/
include("common.php");
include("checker.php");
$config 	= $factory->getInstance("config");
set_time_limit(3600);
$result = "";

if($_GET["ac"] =="ud"){
	if($_SESSION["visichat_access"]=="1" && $setting->get("show_license_info") != "no"){
		$result = update_country();
	}else{
		$result = "You don't have access to this function";
	}
}

if($_GET["ac"] == "bc"){
	if($_SESSION["visichat_access"]=="0"){
		if($_POST["country"] != ""){
			$res = $db->run_query("select * from ".$config->prefix."ip2country where i_code='".$db->escape_string($_POST["country"])."'");
			if($db->get_num_rows($res)>0){
				$row = $db->fetch_assoc($res);
				$r = $db->run_query("select * from ".$config->prefix."bancountry where b_code='".$db->escape_string($_POST["country"])."'");
				if($db->get_num_rows($r)>0){
					$result ="This country is already banned";
				}else{
					$db->run_query("insert into ".$config->prefix."bancountry (b_code,b_name) values('".$db->escape_string($_POST["country"])."','".$db->escape_string($row["i_name"])."')");
					$result ="The country has been banned successfully";
				}
				$db->free_result($r);
			}else{
				$reslut = "Cannot find this country in the database";
			}
			$db->free_result($res);
		}else{
			$result = "First you should select a country to ban";
		}
	}else{
		$result = "You don't have access to this function";
	}
}

if($_GET["ac"] == "ubc"){
	if($_SESSION["visichat_access"]=="0"){
		if($_POST["country"] != ""){
			$res = $db->run_query("select * from ".$config->prefix."bancountry where b_code='".$db->escape_string($_POST["country"])."'");
			if($db->get_num_rows($res)>0){
				$db->run_query("delete from ".$config->prefix."bancountry where b_code='".$db->escape_string($_POST["country"])."'");
				$result ="The country has been removed from ban list successfully.";
				$db->free_result($r);
			}else{
				$reslut = "Cannot find this country in the ban list";
			}
			$db->free_result($res);
		}else{
			$result = "First you should select a country to unban";
		}
	}else{
		$result = "You don't have access to this function";
	}
}


function update_country(){
	global $db,$config,$setting;
	$uploadPath =  LIB_PATH.DS."..".DS."..".DS.$setting->get("picture_path");
	$filename = $_FILES["db"]["name"];
	if($filename == ""){
			return "File not found";
	}
	$path_info 	= pathinfo($filename);
	if(strtolower($path_info["extension"]) != "csv"){
		return "Invalid file type, upload only csv files";
	}
	$temp_file = "tmp_ip2country_".md5(rand(11111111,99999999999999)).".country";

	if(!move_uploaded_file($_FILES["db"]['tmp_name'],$uploadPath.$temp_file)){
		return "There was an error upload the file, make sure your php upload max size is set to 10MB";
	}
	// Reading file
	$handle = fopen($uploadPath.$temp_file,"rb");
	$contents = '';
	while (!feof($handle)) {
  		$contents .= fread($handle, 8192);
	}
	fclose($handle);
	unlink($uploadPath.$temp_file);
	// Importing data

	$db->run_query("delete from ".$config->prefix."ip2country");
	$data = preg_split('/'.chr(10).'/',$contents);
	$records = 0;
	for($i=0;$i<count($data);$i++){
		$ipdata = preg_split('/,/',str_replace('"','',$data[$i]));
		if(count($ipdata)==7 && is_numeric($ipdata[0]) && is_numeric($ipdata[1])){
			$records++;
			$db->run_query("insert into ".$config->prefix."ip2country(i_from,i_to,i_code,i_name) values(".$ipdata[0].",".$ipdata[1].",'".$db->escape_string($ipdata[4])."','".$db->escape_string($ipdata[6])."')");
		}
	}
	$setting->set("ip2country_update",date("F j, Y, g:i a"));
	$setting->save();
	return "IPCountry data updated successfully, <b><font color='#FFFF00'>".$records."</font></b> items has been added";
}
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Gchats Visichat Admin Menu: IP 2 country</title>
<link href="../images/style.css" rel="stylesheet" type="text/css" />
<script language="javascript">
function check_confirm(){
	var res = confirm("Are you sure?");
	return res;
}
</script>
<style type="text/css">
<!--
#Layer2 {
	position:absolute;
	left:10%;
	top:50px;
	width:90%;
	height:10px;
	z-index:2;
}
-->
</style>
</head>

<body>  
<div id="Layer1" align="center" style="position:absolute;left:5;top:5;width:90;height:90;z-index:1;"><a href="menu.php"><img src="../images/return.jpg" width="54" height="54" border="0"><br>
</a><a href="menu.php" class="YellowText">Return...</a></div>
<div id="Layer2" align="center" class="whileText"><?php echo $result;?></div>
<br />
<br />
<br>
<br>
<br>
<table width="800" border="0" align="center" cellpadding="0" cellspacing="0" class="TMain">
  <tr>
    <td width="2" height="18"><img src="../images/r1.gif" width="2" height="18" /></td>
    <td width="300" align="left" background="../images/r2.gif"><strong>&nbsp;&nbsp; IP to Country setup </strong></td>
    <td width="7"><img src="../images/r3.gif" /></td>
    <td background="../images/r4.gif">&nbsp;</td>
    <td width="2"><img src="../images/r5.gif" /></td>
  </tr>
</table>
<table width="800" border="0" align="center" cellpadding="5" cellspacing="0">
  <tr>
    <td width="2" background="../images/r6.gif"></td>
    <td  align="left" valign="top" background="../images/bgdot.gif" class="TextBlack12">
	<form name="form1" method="post" action="?ac=ud" enctype="multipart/form-data">
   
    <table width="500" border="0" align="center" cellpadding="5" class="TextBlack12">
      <tr>
        <td bgcolor="#D9DEE8"><strong>Update IP2Country Database </strong></td>
        </tr>
      <tr>
        <td align="center" bgcolor="#FFFFFF">IpToCountry.csv file: 
         
          <input name="db" type="file" id="db">
           <input type="submit" name="Submit" value="Upload">
           <br>
         <font class="Comments"> You can download this file from <a href="http://software77.net/cgi-bin/ip-country/geo-ip.pl" target="_blank">This</a> URL, <br>
         extract and upload IpToCountry.csv file. <br>
         <br>
         <font class="Comments"><i>Press Upload button once, this might take a few minutes.</i></font> </font></td>
      </tr>
    </table> </form>
	<table width="500" border="0" align="center" cellpadding="5" class="TextBlack12">
      <tr>
        <td bgcolor="#D9DEE8"><strong>Ban/UnBan Country </strong></td>
      </tr>
      <tr>
        <td align="center" bgcolor="#FFFFFF">
		<?php $res = $db->run_query("select distinct i_name,i_code from ".$config->prefix."ip2country where i_code<>'ZZ' order by i_name");
		if($db->get_num_rows($res)==0){?>
		To enable this option you need to upload ip2country.csv file.
		<?php }else{?>
		<br><form name="form2" method="post" action="?ac=bc">
		<select name="country" id="country">
		<option value="">- Select Country to Ban -</option>
			  <?php for($i=0;$i<$db->get_num_rows($res);$i++){
			  $row = $db->fetch_assoc($res,$i);
			  ?>
			  <option value="<?php echo $row["i_code"];?>"><?php echo $row["i_name"];?></option>
			  <?php
			  }?>
              </select>
        <br>
        <input type="submit" name="Submit2" value="Ban Country"> </form>         
			<?php }
			$db->free_result($res);
			?>
		
			
			<?php
			$res = $db->run_query("select * from ".$config->prefix."bancountry order by b_name");
			?>
			<hr>
			<form name="form2" method="post" action="?ac=ubc">
			<select name="country" id="country">
		<option value="">- Select Country to UnBan -</option>
		<?php for($i=0;$i<$db->get_num_rows($res);$i++){
		$row = $db->fetch_assoc($res,$i);?>
		<option value="<?php echo $row["b_code"];?>"><?php echo $row["b_name"];?></option>
		<?php }?>
		</select>
            <br>
            <input type="submit" name="Submit22" value="UnBan Country">
			</form>
			<?php $db->free_result($res);?>
			</td>
      </tr>
    </table>
	<br>
	
		<b>IP2Country data Last updated at: <font color="#FFCC00"><?php if($setting->get("ip2country_update")==""){?>Never<?php }else{echo $setting->get("ip2country_update");}?></font> </b><br>
		<br>
	
	  Your current Max post size is set to <b><font color="#FFCC00"><?php echo ini_get('post_max_size');?></font></b> <br>
  Your current Max upload size is set to <b><font color="#FFCC00"><?php echo ini_get('upload_max_filesize');?></font></b> <br>  
  Try to increase these values to 10MB before uploading the csv file.  </font>
	
	</td>
    <td width="2" background="../images/r7.gif"></td>
  </tr>
</table><table width="800"  height="2" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td width="2" height="2"><img src="../images/r8.gif" width="2" height="2" /></td>
    <td style="background-image:url(../images/r9.gif); font-size:1px;">&nbsp;</td>
    <td height="2" width="2"><img src="../images/r10.gif" /></td>
  </tr>
</table>
</body>
</html>