<?php
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2010 Gchat Design Studio http://www.gchats.com      		  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchat Design Studio           |
\*****************************************************************************/
include("common.php");
include("checker.php");

$config = $factory->getInstance("config");

$log_history_table = $setting->get("log_history_table");
$room_table = $setting->get("room_table");

if($_GET["ac"]=="clear"){
	if($_SESSION["visichat_access"] == "0"){
		$db->run_query("delete from ".$log_history_table);
	}else{
		$result = "You don't have access to this function";
	}
}

$page = $_GET["page"];
if($page =="" || $page<0 || !is_numeric($page)){$page = 1;}
$pagesize = 100;

if($setting->get("show_license_info") != "no"){
	$reports = array(array("All Reports",0),array("Admin menu logins",1),array("Chatroom kick reports",2), array("Bad users",3));
}else{
	$reports = array(array("All Reports",0),array("Chatroom kick reports",2), array("Bad users",3));
}

$colors = array('#FFFFFF','#BCDCFC','#F8C7C7','#FFFF00');

if($_GET["r"]== "" || !is_numeric($_GET["r"])){
	$_GET["r"] = "0";
}else{
	if($_GET["r"] <0 || $_GET["r"] > 3){
		$_GET["r"] ="0";
	}
}

if($_GET["r"] == "0"){
	$res = $db->run_query("select * from ".$config->prefix."reports",$page,$pagesize,"id",true);
	$res2 = $db->run_query("select count(id) as cnt from ".$config->prefix."reports");
}else{
	$res = $db->run_query("select * from ".$config->prefix."reports where r_type=".$db->escape_string($_GET["r"]),$page,$pagesize,"id",true);
	$res2 = $db->run_query("select count(id) as cnt from ".$config->prefix."reports where r_type=".$db->escape_string($_GET["r"]));
}

$row2 = $db->fetch_assoc($res2);
$db->free_result($res2);

$total_items = $row2["cnt"];
$total_pages = ceil($total_items/$pagesize);
if($total_pages ==0){ $total_pages=1;}
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Gchats Visichat Admin Menu: Chat Reports</title>
<link href="../images/style.css" rel="stylesheet" type="text/css" />
<script language="javascript">
function check_confirm(){
	var res = confirm("Are you sure?");
	return res;
}
</script>
<style type="text/css">
<!--
#Layer2 {
	position:absolute;
	left:10%;
	top:50px;
	width:90%;
	height:10px;
	z-index:2;
}
-->
</style>
</head>

<body>  
<div id="Layer1" align="center" style="position:absolute;left:5;top:5;width:90;height:90;z-index:1;"><a href="menu.php"><img src="../images/return.jpg" width="54" height="54" border="0"><br>
</a><a href="menu.php" class="YellowText">Return...</a></div>
<div id="Layer2" align="center" class="whileText"><?php echo $result;?></div>
<br />
<br />
<br>
<br>
<br>
<table width="800" border="0" align="center" cellpadding="0" cellspacing="0" class="TMain">
  <tr>
    <td width="2" height="18"><img src="../images/r1.gif" width="2" height="18" /></td>
    <td width="300" align="left" background="../images/r2.gif"><strong>&nbsp;&nbsp; Chat Reports </strong></td>
    <td width="7"><img src="../images/r3.gif" /></td>
    <td background="../images/r4.gif">&nbsp;</td>
    <td width="2"><img src="../images/r5.gif" /></td>
  </tr>
</table>
<table width="800" border="0" align="center" cellpadding="5" cellspacing="0">
  <tr>
    <td width="2" background="../images/r6.gif"></td>
    <td  align="left" valign="top" background="../images/bgdot.gif" class="TextBlack12"><div align="center">Select Report: 
      <select name="select" onChange="window.location='reports.php?r='+this.value">
	  <?php for($i=0;$i<count($reports);$i++){?>
	  
	  <option value="<?php echo $reports[$i][1];?>" <?php if($reports[$i][1]==$_GET["r"]){?> selected="selected"<?php }?>><?php echo $reports[$i][0];?></option>
	<?php }?>
      </select></div>
      <br><strong><?php echo $reports[$_GET["r"]][0];?></strong>: <br>
	 <font color="#FFFFFF"> There are <font color="#FFFF00"><?php echo $total_items;?></font> reports, showing Page <font color="#FFFF00"><?php echo $page;?></font> of <font color="#FFFF00"><?php echo $total_pages;?></font> pages</font><br>
        
    
      <table width="100%" border="0" class="TextBlack12">
	 <tr>
        <td bgcolor="#C7D0DC">Target User</td>
        <td bgcolor="#C7D0DC">Details</td>
        <td width="180" nowrap="nowrap" bgcolor="#C7D0DC">Date</td>
      </tr>
<?php for($i=0;$i<$db->get_num_rows($res);$i++){
	$row = $db->fetch_assoc($res,$i);?>
	 <tr>
        <td width="100" nowrap="nowrap" bgcolor="<?php echo $colors[$row["r_type"]];?>">
		<b><?php if($row["r_type"] == "1"){
				echo $row["username"];
			  }else{
				echo $row["r_var"];
			  }?></b>
		
		</td>				
        <td bgcolor="<?php echo $colors[$row["r_type"]];?>"><?php 
		if($row["r_type"] == "1"){
			if($row["r_var"] == "valid"){
				echo "<font color='#339900'>Valid Login</font> <i>[";
			}
			if($row["r_var"] == "invalid"){
				echo "<font color='#FF0000'>Invalid Password</font> <i>[";
			}
			safe_write($row["r_ip"]);
			echo "]</i>";
		}
		
		if($row["r_type"] == "2"){	
			echo "<font color='#FF0000'><b>".$row["username"].'</b></font> <i>[';
			safe_write($row["r_ip"]);
			echo "]</i> kicked: <b><font color='#FF0000'>".$row["r_var"]."</font></b> <i>[";
			safe_write($row["u_ip"]);
			echo "]";
		}
		
		if($row["r_type"] == "3"){	
			echo "<font color='#FF0000'><b>".$row["username"]."</b></font> <i>[";
			safe_write($row["r_ip"]);
			echo "]</i> reported: <b><font color='#FF0000'>".$row["r_var"]."</font></b>";
		}
		if($row["description"] != ""){
			echo "<br><br><font color='#FF0000'><b>Complain:</b></font> ".$row["description"];	
		}
		?></td>
        <td width="180" nowrap="nowrap" bgcolor="<?php echo $colors[$row["r_type"]];?>"><?php echo date("F j, Y, g:i a",$row["r_date"]);?></td>
      </tr>	  
<?php }?>
    </table>
	
		<?php if($total_pages>1){
	$links = "&from=".$_GET["from"]."&to=".$_GET["to"]."&ltype=".$_GET["ltype"]."&u=".$_GET["u"]."&ip=".$_GET["ip"]."&showjoin=".$_GET["showjoin"]."&results=".$_GET["results"]."&room=".$_GET["room"];
	?>
    <table width="100%" border="0" align="center" class="whileText">
      <tr>
        <td bgcolor="#284172">
		<a href="reports.php?ac=s<?php echo $links;?>" class='Links1'>First Page</a>
		&nbsp;&nbsp;
		 <?php
		 $start = $page-10;
		 if($start<1){$start=1;}
		 $end = $page+10;
		 if($end>$total_pages){$end = $total_pages;}
		 
		 if($start>1){?> &nbsp;...&nbsp; <?php }?>
		 <?php  for($i=$start;$i<=$end;$i++){
		if($i==$page){
			echo "&nbsp;".$i."&nbsp;";
		}else{
			echo "&nbsp;<a href='reports.php?page=".$i.$links."' class='Links1'>".$i."</a>&nbsp;";
		}
		}
		 if($end<$total_pages){?> &nbsp;...&nbsp; <?php }?>		
		&nbsp;&nbsp;
		 <a href="reports.php?page=<?php echo $total_pages;?>&<?php echo $links;?>" class='Links1'>Last Page</a>		</td>
      </tr>
    </table>
	<?php }?>

	
	<table border="0" cellpadding="3" cellspacing="3" class="TextBlack12">
      <tr>
        <td bgcolor="#BCDCFC">Admin Menu Logins </td>
        <td bgcolor="#F8C7C7">Kick / Ban Report </td>
        <td bgcolor="#FFFF00">Bad User Report </td>
      </tr>
    </table>
	<br>
	<br>
	Note: Reports older than 30 days will be removed automatically. </td>
    <td width="2" background="../images/r7.gif"></td>
  </tr>
</table><table width="800"  height="2" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td width="2" height="2"><img src="../images/r8.gif" width="2" height="2" /></td>
    <td style="background-image:url(../images/r9.gif); font-size:1px;">&nbsp;</td>
    <td height="2" width="2"><img src="../images/r10.gif" /></td>
  </tr>
</table>
</body>
</html>