<?php
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      				  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchats.com			          |
\*****************************************************************************/
error_reporting(0);
include_once("library/factory.php");
include_once("integrate.php");
$factory 	= new factory();
$db 		= $factory->get_db();
$visiconfig		= $factory->getInstance("config");
$setting 	= $factory->getInstance("GSetting");
$members_table = $setting->get("members_table");
$members_info_table = $setting->get("members_info_table");
$id_field = $setting->get("id_field");
$username_field = $setting->get("username_field");
$password_field = $setting->get("password_field");
$integrate = $setting->get("integrate");

$username = $_REQUEST["u"];
$password = $_REQUEST["p"];
$room_table = $setting->get("room_table");
$pass_encrypted = "";
$user_id =0;

// Check chat closure date
if($setting->get("auto_close_chat") != 0 && $setting->get("auto_close_chat") != ""){
	if($setting->get("auto_close_chat")<time()){
		echo "&result=closed";
		$db->close();
		exit();
	}
}


// Check blocked hosts
$res = $db->run_query("select count(ip) as cnt from ".$visiconfig->prefix."banip where bantype=2");
$rowBanHost = $db->fetch_assoc($res);
$db->free_result($res);

if($rowBanHost["cnt"] > 0){
	$hostname = @gethostbyaddr($_SERVER['REMOTE_ADDR']);
	$res = $db->run_query("select * from ".$visiconfig->prefix."banip where ip='".$db->escape_string($hostname)."' and bantype=2");
	if($db->get_num_rows($res)>0){
		echo "&result=denied";
		$db->free_result($res);
		exit();
	}
	$db->free_result($res);
}

// Check blocked ip address which using a proxy
if (isset($_SERVER["HTTP_X_FORWARDED_FOR"])) {
	$ip = $_SERVER["HTTP_X_FORWARDED_FOR"];
	$res = $db->run_query("select * from ".$visiconfig->prefix."banip where ip='".$db->escape_string($ip)."'");
	if($db->get_num_rows($res)>0){
		echo "&result=denied";
		$db->free_result($res);
		exit();
	}
	$db->free_result($res);
}

// Check blocked ip addresses
$ip = $_SERVER['REMOTE_ADDR'];
$res = $db->run_query("select * from ".$visiconfig->prefix."banip where ip='".$db->escape_string($ip)."'");
if($db->get_num_rows($res)>0){
	echo "&result=denied";
	$db->free_result($res);
	exit();
}
$db->free_result($res);


$res = $db->run_query("select * from ".$members_table." where ".$username_field."='".$db->escape_string($username)."'");
if($db->get_num_rows($res)>0){
	$row = $db->fetch_assoc($res);
	$user_id = $row[$id_field];
	$res2 = $db->run_query("select * from ".$members_info_table." where visi_chat_user_id=".$db->escape_string($row[$id_field]));	
	if($db->get_num_rows($res2)==0){	
		$db->run_query("insert into ".$members_info_table." (visi_chat_user_id) values(".$db->escape_string($row[$id_field]).")");
	}
	$db->free_result($res2);	
}
$db->free_result($res);

$res = $db->run_query("select * from ".$members_table." as A inner join ".$members_info_table." as B on A.".$id_field."=B.visi_chat_user_id where ".$username_field."='".$db->escape_string($username)."'");
if($db->get_num_rows($res)>0){
	$row = $db->fetch_assoc($res);
	$visi_user_options = unserialize(base64_decode($row["visi_chat_user_options"]));
}
if($setting->get("pass_encrypt") == "plain"){
	$pass_encrypted = $password;
}
if($setting->get("pass_encrypt") == "md5"){
	$pass_encrypted = md5($password);
}
if($setting->get("pass_encrypt") == "vb"){
	if($row[$password_field] == md5(md5($password).$row["salt"])){
		$pass_encrypted = md5(md5($password).$row["salt"]);
	}
}

if($setting->get("pass_encrypt") == "joomla"){
	$info = split(":",$row[$password_field]);
	if(md5($password.$info[1]) ==$info[0]){
		$pass_encrypted = $row[$password_field];
	}
}
if($setting->get("pass_encrypt") == "MyBB"){
	if($row[$password_field] == md5(md5($row["salt"]).md5($password))){
		$pass_encrypted = $row[$password_field];
	}
}
if($setting->get("pass_encrypt") == "phpbb 3"){
	define('IN_PHPBB',1);
	$phpbb_root_path = realpath('../..')."/";
	$phpEx = substr(strrchr(__FILE__, '.'), 1);
	define('PHPBB_ROOT_PATH',$phpbb_root_path);
	include_once $phpbb_root_path."/common.php";
	$passwordIsValid = false;
	if(phpbb_check_hash($password,$row[$password_field])){
		$pass_encrypted = $row[$password_field];
	}
	$factory 	= new factory();
	$visiconfig		= $factory->getInstance("config");
	$db 		= $factory->get_db();
	
}
if($setting->get("pass_encrypt") == "x-cart"){
	define('XCART_START',1);
	$xcart_dir = realpath("../..");
	include_once $xcart_dir."/config.php";
	include_once $xcart_dir."/include/blowfish.php";
	$blowfish = new ctBlowfish();
	include_once("../../include/func/func.crypt.php");
	if($row[$password_field] == text_crypt($password)){
		$pass_encrypted = $row[$password_field];
	}
}
if($setting->get("pass_encrypt") == "SMF (Simple Machines Forum)"){
	$pass_encrypted = sha1(strtolower($username) . stripslashes($password));
}
if($setting->get("pass_encrypt") == "sha1"){
	$pass_encrypted = sha1($password);
}
if($setting->get("pass_encrypt") == "SocialEngine"){
	$user_salt = "$1$".substr($row["user_code"], 0, 8)."$";
	if($row[$password_field] == crypt($password,$user_salt)){
		$pass_encrypted = $row[$password_field];
	}
}
if($setting->get("pass_encrypt") == "wordpress"){
	// You need to change this URL
	require_once('../../wp/wp-includes/class-phpass.php');
	$wp_hasher = new PasswordHash(8, TRUE);
	if( $wp_hasher->CheckPassword($password,$row[$password_field])){
		$pass_encrypted = $row[$password_field];
	}
}

if($setting->get("pass_encrypt") == "phpfox"){
	$pass_encrypted = md5(md5($password).md5($row["password_salt"]));
}

if($setting->get("pass_encrypt") == "vldPersonals"){
	// not supported yet
}

if($setting->get("pass_encrypt") == "skadate"){
}

if($setting->get("pass_encrypt") == "ipboard"){
	$pass_encrypted = md5(md5($row["members_pass_salt"]).md5($password));
}
// Integration

if($setting->get("integrate") == "vbulletin"){
	// checking usergroup permissions
	$allow_usergroups = split(",",$setting->get("vbulletin_allowed_usergroups"));
	$disallow_usergroups = split(",",$setting->get("vbulletin_disallowed_usergroups"));
	if(!in_array($row["usergroupid"],$allow_usergroups) && count($allow_usergroups)>0 && is_array($allow_usergroups) && strlen($setting->get("vbulletin_allowed_usergroups"))>0){
		$password = $pass_encrypted = "";
		echo "&result=denied";
		return;
	}
	if(in_array($row["usergroupid"],$disallow_usergroups) && count($disallow_usergroups)>0 && is_array($disallow_usergroups) && strlen($setting->get("vbulletin_disallowed_usergroups"))>0){
		$password = $pass_encrypted = "";
		echo "&result=denied";
		return;
	}
	// checking banned users
	if(isset($row[$id_field])){
		$rban = $db->run_query("select * from ".$setting->get("integrate_prefix")."userban where userid=".$db->escape_string($row[$id_field]));
		if($db->get_num_rows($rban)>0){
			$password = $pass_encrypted = "";
			echo "&result=denied";
			return;		
		}
		$db->free_result($rban);
	}
}

$db->free_result($res);
if($password == "" || ($pass_encrypted != $row[$password_field] && $password!=$row[$password_field])){
	echo "&allowed_online=".($setting->get("guest_time_limit")*60);
}else{
	echo "&user_id=".urlencode($row["visi_chat_user_id"]);
	echo "&votes=".urlencode($row["visi_chat_votes"]);
	echo "&rate=".urlencode($row["visi_chat_rate"]);
	echo "&about=".urlencode($row["visi_chat_about"]);
	echo "&country=".urlencode($row["visi_chat_country"]);
	echo "&state=".urlencode($row["visi_chat_state"]);
	echo "&city=".urlencode($row["visi_chat_city"]);
	echo "&marital=".urlencode($row["visi_chat_marital_status"]);
	echo "&allow_private=".urlencode($row["visi_chat_allow_private"]);
	echo "&who_view_mycam=".urlencode($row["visi_chat_who_view_mycam"]);
	echo "&set_profile=".urlencode($row["visi_chat_set_profile"]);
	echo "&year=".urlencode(getAge($integrate,$row));
	echo "&gender=".urlencode(getGender($integrate,$row));
	echo "&credits=".urlencode($row["visi_chat_credits"]);
	echo "&is_moderator=".urlencode($row["visi_chat_is_mod"]);
	echo "&invisible=".urlencode($row["visi_chat_allow_invisible"]);
	echo "&def_invisible=".urlencode($row["visi_chat_invisible"]);

	// Picture
	
	if($setting->get("picture_field") == "visi_chat_picture"){
		echo "&picture=".urlencode($row["visi_chat_picture"]);
	}else{
		echo "&picture=".urlencode(getPicture($row));
	}
	
	// Premium and moderator user subscription
	if($row["visi_chat_is_mod"]==1 || $row["visi_chat_is_mod"]==2){
		if($row["visi_chat_expire"] > 0 && $row["visi_chat_expire"]!=""){
			if($row["visi_chat_expire"]<time()){
				echo "&subscription=expired";
				$db->run_query("update ".$members_info_table." set visi_chat_is_mod=0,visi_chat_expire=0 where visi_chat_user_id=".$db->escape_string($row["visi_chat_user_id"]));
			}else{
				$seconds = $row["visi_chat_expire"]-time();
				$days = floor($seconds/86400);
				$hours = floor(($seconds - ($days*86400))/3600);
				$minutes = floor(($seconds-(($days*86400)+($hours*3600)))/60);
				echo "&subscription=".$days;
				echo "&subscription_hour=".$hours;
				echo "&subscription_minute=".$minutes;
			}
		}else{
			echo "&subscription=ok";
		}
	}
	
	// Time limit
	if($setting->get("user_time_limit") == "0"){
		echo "&allowed_online=0";
	}else{
		if($row["visi_chat_last_online"] == date("j")."-".(date("n")-1)."-".date("Y")){
			$allow_online = (($setting->get("user_time_limit")*60)-$row["visi_chat_online_sec"]);
			if($allow_online <= 0){
				$allow_online = 1;
			}
			echo "&allowed_online=".$allow_online;
		}else{
			echo "&allowed_online=".($setting->get("user_time_limit")*60);
		}
	}
	// Load Block List
	$res = $db->run_query("select * from ".$visiconfig->prefix."block_list where username='".$db->escape_string($username)."'");
	echo "&blockc=".$db->get_num_rows($res);
	for($i=0;$i<$db->get_num_rows($res);$i++){
		$row = $db->fetch_assoc($res,$i);
		echo "&block".$i."=".urlencode($row["blockname"]);
	}
	$db->free_result($res);
	// Load Buddy List
	$res = $db->run_query("select * from ".$visiconfig->prefix."friend_list inner join ".$members_table." on ".$visiconfig->prefix."friend_list.friendname=".$members_table.".".$username_field." inner join ".$members_info_table." on ".$members_table.".".$id_field."=".$members_info_table.".visi_chat_user_id where ".$visiconfig->prefix."friend_list.username='".$db->escape_string($username)."'");
	echo "&buddyc=".$db->get_num_rows($res);
	for($i=0;$i<$db->get_num_rows($res);$i++){
		$row = $db->fetch_assoc($res,$i);
		echo "&buddy".$i."=".urlencode($row["friendname"]);
		echo "&buddyonline".$i."=".$row["visi_chat_is_online"];
		echo "&buddyapprove".$i."=".urlencode($row["approved"]);
		echo "&buddypic".$i."=".urlencode(getPicture($row));
	}
	$db->free_result($res);
	
	// Load Buddy List Request
	$res = $db->run_query("select * from ".$visiconfig->prefix."friend_list where friendname='".$db->escape_string($username)."' and approved=0");
	echo "&buddyReqc=".$db->get_num_rows($res);
	for($i=0;$i<$db->get_num_rows($res);$i++){
		$row = $db->fetch_assoc($res,$i);
		echo "&buddyReq".$i."=".urlencode($row["username"]);
	}
	$db->free_result($res);	

	// Pre approve buddy list requests
	$db->run_query("update ".$visiconfig->prefix."friend_list set approved=1 where friendname='".$db->escape_string($username)."'");
	
	// Load Rooms Permissions
	$res = $db->run_query("select * from ".$visiconfig->prefix."room_users inner join ".$visiconfig->prefix."rooms on ".$visiconfig->prefix."room_users.roomid = ".$visiconfig->prefix."rooms.room_id where ".$visiconfig->prefix."rooms.room_type='p' and room_public='0' and room_lock=1 and ".$visiconfig->prefix."room_users.userid=".$db->escape_string($user_id));
	echo "&roomPermCount=".$db->get_num_rows($res);
	for($i=0;$i<$db->get_num_rows($res);$i++){
		$row = $db->fetch_assoc($res,$i);
		echo "&roomPerm".$i."=".urlencode($row["room_id"]);
	}
	$db->free_result($res);
	// Load offline messages
	$res = $db->run_query("select * from ".$visiconfig->prefix."offline_messages where m_to='".$db->escape_string($username)."' order by id desc");
	echo "&offlineCount=".$db->get_num_rows($res);
	for($i=0;$i<$db->get_num_rows($res);$i++){
		$row = $db->fetch_assoc($res,$i);
		echo "&offlineU".$i."=".urlencode($row["m_from"]);
		echo "&offlineT".$i."=".urlencode($row["m_time"]);
		echo "&offlineM".$i."=".urlencode($row["m_message"]);
	}
	$db->free_result($res);
	$db->run_query("delete from ".$visiconfig->prefix."offline_messages where m_to='".$db->escape_string($username)."'");
	// Load Movies
	$res = $db->run_query("select id from ".$visiconfig->prefix."gallery_movies where userid=".$db->escape_string($user_id)." and approved=1");
	if($db->get_num_rows($res)>0){
		echo "&hasMovie=yes";
	}else{
		echo "&hasMovie=no";
	}
	$db->free_result($res);
	foreach ($visi_user_options as $i=>$val){
		if($i != "color"){
			if($val=="1"){
				echo "&".$i."=yes";
			}else{
				echo "&".$i."=no";
			}
		}
	}
	echo "&color=".urlencode($visi_user_options["color"]);
}
if($password == ""){
	echo "&password=";
}else{
	echo "&password=".urlencode($pass_encrypted);
}

// Load room list
$res = $db->run_query("select * from ".$room_table." order by room_type,room_order desc,room_name");

echo "&roomC=".$db->get_num_rows($res);
for($i=0;$i<$db->get_num_rows($res);$i++){
	$row = $db->fetch_assoc($res,$i);
	echo "&roomN".$i."=".urlencode($row["room_name"]);
	echo "&roomCap".$i."=".$row["room_capacity"];
	echo "&roomPub".$i."=".$row["room_public"];
	if(!$row["room_cam"]){
		echo "&roomCam".$i."=no";
	}else{
		echo "&roomCam".$i."=yes";
	}
	if(!$row["room_voice"]){
		echo "&roomVoice".$i."=no";
	}else{
		echo "&roomVoice".$i."=yes";
	}
	if(!$row["room_draw"]){
		echo "&roomDraw".$i."=no";
	}else{
		echo "&roomDraw".$i."=yes";
	}
	if($row["room_adult"]==0){
		echo "&roomAdult".$i."=no";
	}else{
		echo "&roomAdult".$i."=yes";
	}
	if($row["room_premium"]==0){
		echo "&roomPremium".$i."=no";
	}else{
		echo "&roomPremium".$i."=yes";
	}
	if($row["room_upload"]==0){
		echo "&roomUpload".$i."=no";
	}else{
		echo "&roomUpload".$i."=yes";
	}
	if($row["room_youtube"]==0){
		echo "&roomYouTube".$i."=no";
	}else{
		echo "&roomYouTube".$i."=yes";
	}
	echo "&roomGender".$i."=".$row["room_gender"];
	echo "&roomID".$i."=".$row["room_id"];
	echo "&roomType".$i."=".$row["room_type"];
	if($row["room_key"] ==""){
		echo "&roomKey".$i."=";	
	}else{
		echo "&roomKey".$i."=".md5($row["room_key"]);	
	}
	echo "&roomCreator".$i."=".$row["room_creator"];
}
$db->free_result($res);

// Load Bad Words
$res = $db->run_query("select * from ".$setting->get("badwords_table"));
echo "&badwordC=".$db->get_num_rows($res);
for($i=0;$i<$db->get_num_rows($res);$i++){
	$row = $db->fetch_assoc($res,$i);
	echo "&bword".$i."=".urlencode($row[$setting->get("badwords_field")]);
}
echo "&CurrentTime=".time();
echo "&CurrentDate=".date("j")."-".(date("n")-1)."-".date("Y");
$db->free_result($res);
$db->close();
echo "&c=ok&load=ok";



?>
