<?php
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      				  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchats.com			          |
\*****************************************************************************/
error_reporting(0);

include_once("../library/factory.php");
$factory = new factory();
$db = $factory->get_db();
$config = $factory->getInstance("config");
$setting = $factory->getInstance("GSetting");

$members_table = $setting->get("members_table");
$members_info_table = $setting->get("members_info_table");
$id_field = $setting->get("id_field");
$username_field = $setting->get("username_field");
$password_field = $setting->get("password_field");
$picture_field = $setting->get("picture_field");
$need_approve		=$setting->get("gallery_need_approve");
$max_movies			= $setting->get("gallery_movie_count");

$action 	= $_GET["ac"];
$id			= $_POST["id"];
$username	= $_POST["u"];
$password	= $_POST["p"];


$movie		= $_POST["movie"];
$filename = "gallery_".$username."_".$movie;

// Fix variables


if(!is_numeric($id) || $id<0){
	$id=0;
}

// Check for username and password
$res = $db->run_query("select * from ".$members_table." as A left join ".$members_info_table." as B on A.".$id_field."=B.visi_chat_user_id where ".$username_field."='".$db->escape_string($username)."' and (".$password_field."='".$db->escape_string($password)."' or ".$password_field."='".$db->escape_string(md5($password))."')" );
if($db->get_num_rows($res)==0){
	$allowed = false;
	echo "&res=no";
}else{
	$allowed = true;
	$row = $db->fetch_assoc($res);
}

$db->free_result($res);

if($allowed){

	if($action=="s"){
		if(get_num_movies($row[$id_field]) >= $max_movies){
			echo "&res=full";		
		}else{
			$video =0;
			if(post("video") == "yes"){
				$video =1;
			}
			$db->run_query("insert into ".$config->prefix."gallery_movies(userid,movie,date_added,approved,video) values(".$db->escape_string($row[$id_field]).",'".$db->escape_string($filename)."',".time().",0,$video)");
			echo "&res=yes";
		}
	}
	
	if($action == "dm"){
		if($row["visi_chat_is_mod"]==1 || $row["visi_chat_is_mod"]==3){		
			$db->run_query("delete from ".$config->prefix."gallery_movies where id=".$db->escape_string($id));
		}else{
			$db->run_query("delete from ".$config->prefix."gallery_movies where id=".$db->escape_string($id)." and userid=".$db->escape_string($row[$id_field]));
		}
	}
	
	if($action == "approve"){
		if($row["visi_chat_is_mod"]==1 || $row["visi_chat_is_mod"]==3){		
			$db->run_query("update ".$config->prefix."gallery_movies set approved=1 where id=".$db->escape_string($id));
		}
	}	
}

if($action == "list"){
	$sender = $_POST["s"];
	$type = $_POST["type"];
	if($type =="pending"){
		if($row["visi_chat_is_mod"]==1 || $row["visi_chat_is_mod"]==3){
			$res = $db->run_query("select ".$config->prefix."gallery_movies.*,".$members_table.".".$username_field." from ".$config->prefix."gallery_movies inner join ".$members_table." on ".$config->prefix."gallery_movies.userid=".$members_table.".".$id_field." where ".$config->prefix."gallery_movies.approved=0 order by date_added desc");
		}
	}
	if($type == "my"){
		$res = $db->run_query("select ".$config->prefix."gallery_movies.*,".$members_table.".".$username_field." from ".$config->prefix."gallery_movies inner join ".$members_table." on ".$config->prefix."gallery_movies.userid=".$members_table.".".$id_field." where ".$username_field."='".$db->escape_string($sender)."' order by date_added desc");
	}
	if($type == "members"){
		if($setting->get("gallery_need_approve") == "yes"){
			$res = $db->run_query("select  ".$config->prefix."members_info.*, ".$config->prefix."gallery_movies.*,".$members_table.".".$username_field." from ".$config->prefix."gallery_movies inner join ".$members_table." on ".$config->prefix."gallery_movies.userid=".$members_table.".".$id_field." inner join ".$config->prefix."members_info on ".$config->prefix."gallery_movies.userid=".$config->prefix."members_info.visi_chat_user_id where ".$config->prefix."gallery_movies.approved=1",1,50,"date_added",true);
		}else{
			$res = $db->run_query("select  ".$config->prefix."members_info.*, ".$config->prefix."gallery_movies.*,".$members_table.".".$username_field." from ".$config->prefix."gallery_movies inner join ".$members_table." on ".$config->prefix."gallery_movies.userid=".$members_table.".".$id_field." inner join ".$config->prefix."members_info on ".$config->prefix."gallery_movies.userid=".$config->prefix."members_info.visi_chat_user_id",1,50,"date_added",true);
		}
	}
	
	if($type == "pending" && $need_approve=="no"){
		echo "&cnt=0";
	}else{
		echo "&cnt=".$db->get_num_rows($res);
		for($i=0;$i<$db->get_num_rows($res);$i++){
			$row = $db->fetch_assoc($res,$i);
			echo "&id".$i."=".$row["id"];
			if($need_approve=="yes"){
				if($row["approved"]==1){
					echo "&approved".$i."=yes";
				}else{
					echo "&approved".$i."=no";		
				}
			}else{			
				echo "&approved".$i."=yes";
			}
			echo "&u".$i."=".urlencode($row[$username_field]);
			echo "&p".$i."=".urlencode($row[$picture_field]);
			echo "&m".$i."=".urlencode($row["movie"]);
			echo "&d".$i."=".urlencode(date("j, n, Y",$row["date_added"]));
			echo "&v".$i."=".urlencode($row["video"]);
		}
	}
	$db->free_result($res);	
}

$db->close();
if($need_approve=="yes"){
	echo "&mod=yes";
}else{
	echo "&mod=no";
}
echo "&load=ok";

function get_num_movies($id){
	global $db;
	$r = $db->run_query("select * from ".$config->prefix."gallery_movies where userid=".$db->escape_string($id));
	$cnt = $db->get_num_rows($r);
	$db->free_result($r);
	return $cnt;
}

?>