<?php 
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      				  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchats.com			          |
\*****************************************************************************/
include_once("library/factory.php");
$factory = new factory();
$config = $factory->getInstance("config");
$db = $factory->get_db();
echo '<?xml version="1.0" encoding="UTF-8"?>';?>
<games>
<?php
$res = $db->run_query("select * from ".$config->prefix."games where g_active=1 order by g_priority desc,g_title");
for($i=0;$i<$db->get_num_rows($res);$i++){
$row = $db->fetch_assoc($res,$i);
?>
<game>
<id><?php echo $row["id"];?></id>
<title><?php echo htmlspecialchars($row["g_title"]);?></title>
<filename><?php echo $row["g_filename"];?></filename>
<priority><?php echo $row["g_priority"];?></priority>
<rate><?php echo $row["g_rate"]/10000;?></rate>
<votes><?php echo $row["g_votes"];?></votes>
<time><?php echo $row["g_time"];?></time>
<width><?php echo $row["g_width"];?></width>
<height><?php echo $row["g_height"];?></height>
</game>
<?php
}
$db->free_result($res);
$db->close();
?>
</games>