<?php
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      				  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchats.com			          |
\*****************************************************************************/

session_start();

/*
 * 
 *  Use <script language="javascript" src="VisichatPATH/stats.php"></script> in your page
 *
 */
 
$show_room = false;
$group_rooms = true;
$show_sex = true;

include_once("library/factory.php");

// Get posted values

$factory 	= new factory();
$db 		= $factory->get_db();
$config 	= $factory->getInstance("config");
$setting 	= $factory->getInstance("GSetting");
$members_table = $setting->get("members_table");
$members_info_table = $setting->get("members_info_table");
$id_field = $setting->get("id_field");
$username_field = $setting->get("username_field");
$password_field = $setting->get("password_field");
$email_field = $setting->get("email_field");

$lng = get("ln");

if ( $lng == "" ) { $lng="en"; }

$language	= $factory->getInstance("language");
$language->language = $setting->get("language");
$language->loadLanguage( $lng );


$adminColor = $setting->get("styles_default_admin_user_color"); 
$modColor	= $setting->get("styles_default_mod_user_color");
$premiumColor = $setting->get("styles_default_premium_user_color");
$userColor	= $setting->get("styles_default_user_user_color");
$guestColor	= $setting->get("styles_default_guest_user_color");

if ($adminColor == "" ) { $adminColor = "#FF0000"; }
if ($modColor == "" ) { $modColor	= "#FF6600"; }
if ($premiumColor == "" ) { $premiumColor = "#9966CC"; }
if ($userColor == "" ) { $userColor	= "#0000FF"; }
if ($guestColor == "" ) { $guestColor	= "#000000"; }

if($setting->get("enable_stats_file") != "yes")
{
	if($_SESSION["visichat_logged"] != "1"){
		die("document.write('You don't have access to view this page.');");	
	}
}

$view = 1; // Default view
if(is_numeric(get("view")) != "" && get("view") >0)
{
	$view = get("view");
}

$res = $db->run_query("select * from ".$config->prefix."rooms");
for($i=0;$i<$db->get_num_rows($res);$i++){
	$row = $db->fetch_assoc($res,$i);
	$rooms[$row["room_id"]] = $row;
}
$db->free_result($res);

$res = $db->run_query("select count($id_field) as cnt from ".$members_table);
$row = $db->fetch_assoc($res);
$total_users = $row["cnt"];
$db->free_result($res);

$res = $db->run_query("select * from ".$config->prefix."online_users as A left join ".$members_info_table." as B on A.visi_online_userid=B.visi_chat_user_id order by visi_room_id, B.visi_chat_is_mod desc,B.visi_chat_user_id desc");
$onlineCount = $db->get_num_rows($res);
?>

document.write('<div style="padding:5px;">');


<?php 
  if($view=="2")
  {
?>
	document.write('<?php echo $language->get("total_members", "<strong>".$total_users."</strong>"); ?>');
<?php 
  }

?>
var userCount= '<?php if($db->get_num_rows($res)==0){ echo $language->get("no_user_online"); } ?>
<?php if($db->get_num_rows($res)==1){  echo $language->get("single_user_online"); }?>
 <?php if($db->get_num_rows($res)>1){ echo $language->get("more_user_online" , "<strong>".$db->get_num_rows($res)."</strong>");  }?>';
var onlineUsers = '<?php echo $language->get("online_users"); ?> <?php 
  $lastRoom = "";
  
  if($onlineCount>0)
  {
	for($i=0;$i<$db->get_num_rows($res);$i++){
		$row = $db->fetch_assoc($res,$i);
		$color = $guestColor;
		$user = $row["visi_online_username"];
		if($row["visi_chat_is_mod"] ==1 || $row["visi_chat_is_mod"] ==3){
			if($row["visi_chat_is_mod"] ==1){
				$color =$adminColor;
			}else{
				$color =$modColor;
			}
			$user = " ".$user."*";
		}else{
			if($row["visi_chat_user_id"] != ""){
				$color =$userColor;
				$user = " ".$user." ";
				if($row["visi_chat_is_mod"]=="2" && ($row["visi_chat_expire"]>time() || $row["visi_chat_expire"]=="0")){
					$color = $premiumColor;
				}
			}
		}
		
		$options = "";
		
		if($show_room){
			if($group_rooms){
				if($lastRoom != $row["visi_room_id"]){
					$lastRoom = $row["visi_room_id"];
					echo "<br \><font color=\"#ff0000\">".$rooms[$row["visi_room_id"]]["room_name"]."</font>: ";
				}
			}else{
				if(isset($rooms[$row["visi_room_id"]])){
					$options = $rooms[$row["visi_room_id"]]["room_name"];
				}
			}
			
		}
		
		echo "<font color=\"$color\">".htmlspecialchars($user);
		if($options != ""){
			echo " [<i>".htmlspecialchars($options)."</i>]";	
		}
		echo "</font> ";
		if($i < $db->get_num_rows($res)-1){echo ",";}
	}
}
$db->free_result($res); $db->close(); ?>';
<?php
  
  // Display number of online users & online users
  if($view=="1")
  {
?>
    document.write(userCount);
    document.write("<br \>");
	<?php
    if($onlineCount>0)
	{
	?>
	  document.write(onlineUsers);
	<?php 
	}
  }

// Display online users only
  if($view=="3")
  {
	if($onlineCount>0)
    {
?>
  document.write(onlineUsers);
<?php
    }
  }
?>

document.write("</div>");
