<?php
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      				  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchats.com			          |
\*****************************************************************************/
error_reporting(0);
include_once("library/factory.php");

// Check to see if the data is valid
if(!isset($_GET["id"])){die("Invalid parameters");}
if($_GET["id"] == ""){die("Invalid parameters");}
$userinfo = pack("H" . strlen($_GET["id"]), $_GET["id"]); 
$user = split(" ",$userinfo);
if(count($user) != 2){die("Invalid parameters");}

// Create classes and get instances
$factory 	= new factory();
$db 		= $factory->get_db();
$config 	= $factory->getInstance("config");
$setting 	= $factory->getInstance("GSetting");
$members_table = $setting->get("members_table");
$members_info_table = $setting->get("members_info_table");
$id_field = $setting->get("id_field");
$random 	= $_GET["rnd"];
$type 		= "s";
if($_GET["t"] =="p"){
	$type = "p";	
}

// Variables
$allowed_files = $setting->get("allowed_files"); 
$pic_ext 	= array("jpg","gif","png","jpeg");
$valid_ext 	= split(",",$allowed_files);
$filename 	= $_FILES["Filedata"]["name"];
$path_info 	= pathinfo($filename);
$uploadPath =  LIB_PATH.DS."..".DS."..".DS."members";
$thumbnailPath =  LIB_PATH.DS."..".DS."..".DS."members".DS."thumbnails";
$is_picture = true;


$res = $db->run_query("select * from ".$members_table." as A left join ".$members_info_table." as B on A.".$id_field."=B.visi_chat_user_id where ".$setting->get("id_field")."=".$db->escape_string($user[0]));
if($db->get_num_rows($res)==0){
	die("Username not found.");
}
$row = $db->fetch_assoc($res);

if($type == "s"){
	if(!in_array(strtolower($path_info["extension"]),$pic_ext)){
		die("Invalid file type");
	}
}

if(in_array(strtolower($path_info["extension"]),$pic_ext)){
	$fileName 	= $row[$id_field]."-".$type."-".md5(rand(200000,9999999999)).md5(rand(200000,9999999999)).".jpg";
	$is_picture = true;
}else{
	$fileName 	= $row[$id_field]."-".$type."-".md5(rand(200000,9999999999)).md5(rand(200000,9999999999)).".txt";
	$is_picture = false;
}

$error 		= "";
$uploaded 	= false;


// Authenicate


if(md5($row["visi_chat_salt"].$row[$setting->get("password_field")])!= $user[1]){die("Invalid parameters");}

// Check and Upload
if(isset($_FILES["Filedata"])){
	if($_FILES["Filedata"]["name"] != ""){
		if(in_array(strtolower($path_info["extension"]),$valid_ext)){
			if($_FILES["Filedata"]["size"] > $setting->get("max_file_size")*1024){
				$error = "File size should be less than ".$setting->get("max_file_size")." KB";
			}else{
			
			
				if(move_uploaded_file($_FILES["Filedata"]['tmp_name'],$uploadPath.DS."tmp_".$fileName)){

					if (extension_loaded('gd') && in_array(strtolower($path_info["extension"]),$pic_ext) && $type!="p"){	
						if($type == "s"){
							resizebox($uploadPath.DS."tmp_".$fileName,$thumbnailPath.DS.$fileName,"20",strtolower($path_info["extension"]));
						}
						$rs = resize($uploadPath.DS."tmp_".$fileName,$uploadPath.DS.$fileName,"140",strtolower($path_info["extension"]));

					}else{
						
						if($type == "p" && in_array(strtolower($path_info["extension"]),$pic_ext)){
							list($width, $height) = getimagesize($uploadPath.DS."tmp_".$fileName);
							if($width>$height){
								$res = $width;
							}else{
								$res = $height;
							}
							if($res>800){
								$res = 800;
							}
							$rs = resize($uploadPath.DS."tmp_".$fileName,$thumbnailPath.DS.$fileName,$res,strtolower($path_info["extension"]));
						}
						if(in_array(strtolower($path_info["extension"]),$pic_ext)){
							$rs = resize($uploadPath.DS."tmp_".$fileName,$uploadPath.DS.$fileName,$res,strtolower($path_info["extension"]));
						}else{
							copy($uploadPath.DS."tmp_".$fileName,$uploadPath.DS.$fileName);
						}
						$rs = true;	
					}
					unlink($uploadPath.DS."tmp_".$fileName);
					if($rs){
						if($type=="s"){
							saveToDB($user[0],$fileName,$_GET["id"],$type,$_FILES["Filedata"]["name"],$_FILES["Filedata"]["type"]);
						}else{
							saveToDB($user[0],$fileName,$random,$type,$_FILES["Filedata"]["name"],$_FILES["Filedata"]["type"]);
						}
					}
				}else{
					$error = "Error in saving: ".$_FILES["Filedata"]["name"];
				}
			}
		}else{
			$error = "Picture is not valid";
		}
	}else{
		$error = "Picture is required";
	}
}
$db->close();
echo "done";
function saveToDB($username,$file,$code,$type,$fname,$mime){
	global $db,$config;
	$db->run_query("insert into ".$config->prefix."temp_pictures(username,picname,u_code,p_type,p_name,p_mime,p_time) values('".$db->escape_string($username)."','".$db->escape_string($file)."','".$db->escape_string($code)."','".$db->escape_string($type)."','".$db->escape_string($fname)."','".$db->escape_string($mime)."',".time().")");

}
function resize($filein, $fileout, $newwidth,$ext){
	list($width, $height) = getimagesize($filein);
	if($width>$height){
	   $newwidth = $newwidth;
	   $newheight=$height*$newwidth/$width; 
	}else{
	$newheight = $newwidth;
	 $newwidth=$width*$newheight/$height;    
	}
	if($ext=="jpg"){
		$thumb = @imagecreatetruecolor($newwidth,$newheight);
	   $source = @imagecreatefromjpeg("$filein");
	}	   
	if($ext=="gif"){
		$thumb = @imagecreate($newwidth,$newheight);		
	   $source = @imagecreatefromgif("$filein");
	}
	if($ext=="png"){
		$thumb = @imagecreatetruecolor($newwidth,$newheight);		
	   $source = @imagecreatefrompng("$filein");
	}
	if($source ){		
		$background_cl = imagecolorallocate($thumb,255,255,255);		
		imagecopyresized($thumb, $source, 0, 0, 0, 0, $newwidth, $newheight, $width, $height);
		imagejpeg($thumb, $fileout,90);
		return true;
	}
	return false;
}
function resizebox($filein, $fileout, $newwidth,$ext){
	list($width, $height) = getimagesize($filein);
   $newheight=$newwidth; 
	if($ext=="jpg"){
		$thumb = @imagecreatetruecolor($newwidth,$newheight);
	   $source = @imagecreatefromjpeg("$filein");
	}	   
	if($ext=="gif"){
		$thumb = @imagecreate($newwidth,$newheight);		
	   $source = @imagecreatefromgif("$filein");
	}
	if($ext=="png"){
		$thumb = @imagecreatetruecolor($newwidth,$newheight);		
	   $source = @imagecreatefrompng("$filein");
	}
	if($source ){		
		$background_cl = imagecolorallocate($thumb,255,255,255);		
		imagecopyresized($thumb, $source, 0, 0, 0, 0, $newwidth, $newheight, $width, $height);
		imagejpeg($thumb, $fileout,90);
		return true;
	}
	return false;
}
?>